<?php
if ( ! class_exists( 'IPPdc_Faicon' ))
{
	/**
	 * Class for handling administrator page
	 */
	class IPPdc_Faicon
	{
		/**
		 * Get Icon
		 *
		 * @param  string $name
		 * @return void
		 */
		public static function get_html_option( $name, $value = '' )
		{
			?>
			<div class="ippdc-faicon-options ippdc-image-option">
				<ul class="ippdc-clear">
					<li>
						<a class="'.$class.'" href="#" data-value="none" title="None">
							<i class="ippdc-fa ippdc-fa-none"></i>
						</a>
					</li>
					<?php
					$ecicons = self::get_emociones();
					foreach( $ecicons as $key => $icon )
					{
						$key   = trim( $key );
						$class = '_item';
						if ( $key == $value ) {
								$class .= ' _selected"';
						}
						echo '<li><a class="'.$class.'" href="#" data-value="'.$key.'" title="'.$icon.'">
												<i class="ippdc-ec ippdc-'.$key.'"></i>
										</a></li>';
					}
					?>

					<?php
					$eiicons = self::get_emoticons();
					foreach( $eiicons as $key => $icon )
					{
						$key   = trim( $key );
						$class = '_item';
						if ( $key == $value ) {
								$class .= ' _selected"';
						}
						echo '<li><a class="'.$class.'" href="#" data-value="'.$key.'" title="'.$icon.'">
												<i class="ippdc-ei ippdc-'.$key.'"></i>
										</a></li>';
					}
					?>

					<?php
					$yiicons = self::get_yolkicons();
					foreach( $yiicons as $key => $icon )
					{
						$key   = trim( $key );
						$class = '_item';
						if ( $key == $value ) {
								$class .= ' _selected"';
						}
						echo '<li><a class="'.$class.'" href="#" data-value="'.$key.'" title="'.$icon.'">
												<i class="ippdc-yi ippdc-'.$key.'"></i>
										</a></li>';
					}
					?>

					<?php
					$foicons = self::get_foicons();
					foreach( $foicons as $key => $icon )
					{
						$key   = trim( $key );
						$class = '_item';
						if ( $key == $value ) {
								$class .= ' _selected"';
						}
						echo '<li><a class="'.$class.'" href="#" data-value="'.$key.'" title="'.$icon.'">
												<i class="ippdc-fo ippdc-'.$key.'"></i>
										</a></li>';
					}
					?>

					<?php
					$faicons = self::get_faicons();
					foreach( $faicons as $key => $icon )
					{
						$key   = trim( $key );
						$class = '_item';
						if ( $key == $value ) {
								$class .= ' _selected"';
						}
						echo '<li><a class="'.$class.'" href="#" data-value="'.$key.'" title="'.$icon.'">
												<i class="ippdc-fa ippdc-'.$key.'"></i>
										</a></li>';
					}
					?>
				</ul>
				<input class="_value-selected" type="hidden" name="<?php echo $name; ?>" value="<?php echo $value; ?>">
			</div>
		<?php
		}

		/**
		 * Get Icon
		 *
		 * @return void
		 */
		public static function get_faicons()
		{
			$fa_icons = array(
				'fa-adjust' => 'Adjust',
				'fa-anchor' => 'Anchor',
				'fa-archive' => 'Archive',
				'fa-area-chart' => 'Area Chart',
				'fa-arrows' => 'Arrows',
				'fa-arrows-h' => 'Arrows H',
				'fa-arrows-v' => 'Arrows V',
				'fa-asterisk' => 'Asterisk',
				'fa-at' => 'At',
				'fa-automobile ' => 'Automobile ',
				'fa-ban' => 'Ban',
				'fa-bar-chart' => 'Bar Chart',
				'fa-bar-chart-o ' => 'Bar Chart O ',
				'fa-barcode' => 'Barcode',
				'fa-bars' => 'Bars',
				'fa-beer' => 'Beer',
				'fa-bell' => 'Bell',
				'fa-bell-o' => 'Bell O',
				'fa-bell-slash' => 'Bell Slash',
				'fa-bell-slash-o' => 'Bell Slash O',
				'fa-bicycle' => 'Bicycle',
				'fa-binoculars' => 'Binoculars',
				'fa-birthday-cake' => 'Birthday Cake',
				'fa-bolt' => 'Bolt',
				'fa-bomb' => 'Bomb',
				'fa-book' => 'Book',
				'fa-bookmark' => 'Bookmark',
				'fa-bookmark-o' => 'Bookmark O',
				'fa-briefcase' => 'Briefcase',
				'fa-bug' => 'Bug',
				'fa-building' => 'Building',
				'fa-building-o' => 'Building O',
				'fa-bullhorn' => 'Bullhorn',
				'fa-bullseye' => 'Bullseye',
				'fa-bus' => 'Bus',
				'fa-cab ' => 'Cab ',
				'fa-calculator' => 'Calculator',
				'fa-calendar' => 'Calendar',
				'fa-calendar-o' => 'Calendar O',
				'fa-camera' => 'Camera',
				'fa-camera-retro' => 'Camera Retro',
				'fa-car' => 'Car',
				'fa-caret-square-o-down' => 'Caret Square O Down',
				'fa-caret-square-o-left' => 'Caret Square O Left',
				'fa-caret-square-o-right' => 'Caret Square O Right',
				'fa-caret-square-o-up' => 'Caret Square O Up',
				'fa-cc' => 'Cc',
				'fa-certificate' => 'Certificate',
				'fa-check' => 'Check',
				'fa-check-circle' => 'Check Circle',
				'fa-check-circle-o' => 'Check Circle O',
				'fa-check-square' => 'Check Square',
				'fa-check-square-o' => 'Check Square O',
				'fa-child' => 'Child',
				'fa-circle' => 'Circle',
				'fa-circle-o' => 'Circle O',
				'fa-circle-o-notch' => 'Circle O Notch',
				'fa-circle-thin' => 'Circle Thin',
				'fa-clock-o' => 'Clock O',
				'fa-close ' => 'Close ',
				'fa-cloud' => 'Cloud',
				'fa-cloud-download' => 'Cloud Download',
				'fa-cloud-upload' => 'Cloud Upload',
				'fa-code' => 'Code',
				'fa-code-fork' => 'Code Fork',
				'fa-coffee' => 'Coffee',
				'fa-cog' => 'Cog',
				'fa-cogs' => 'Cogs',
				'fa-comment' => 'Comment',
				'fa-comment-o' => 'Comment O',
				'fa-comments' => 'Comments',
				'fa-comments-o' => 'Comments O',
				'fa-compass' => 'Compass',
				'fa-copyright' => 'Copyright',
				'fa-credit-card' => 'Credit Card',
				'fa-crop' => 'Crop',
				'fa-crosshairs' => 'Crosshairs',
				'fa-cube' => 'Cube',
				'fa-cubes' => 'Cubes',
				'fa-cutlery' => 'Cutlery',
				'fa-dashboard ' => 'Dashboard ',
				'fa-database' => 'Database',
				'fa-desktop' => 'Desktop',
				'fa-dot-circle-o' => 'Dot Circle O',
				'fa-download' => 'Download',
				'fa-edit ' => 'Edit ',
				'fa-ellipsis-h' => 'Ellipsis H',
				'fa-ellipsis-v' => 'Ellipsis V',
				'fa-envelope' => 'Envelope',
				'fa-envelope-o' => 'Envelope O',
				'fa-eraser' => 'Eraser',
				'fa-exchange' => 'Exchange',
				'fa-exclamation' => 'Exclamation',
				'fa-exclamation-circle' => 'Exclamation Circle',
				'fa-exclamation-triangle' => 'Exclamation Triangle',
				'fa-external-link' => 'External Link',
				'fa-external-link-square' => 'External Link Square',
				'fa-eye' => 'Eye',
				'fa-eye-slash' => 'Eye Slash',
				'fa-eyedropper' => 'Eyedropper',
				'fa-fax' => 'Fax',
				'fa-female' => 'Female',
				'fa-fighter-jet' => 'Fighter Jet',
				'fa-file-archive-o' => 'File Archive O',
				'fa-file-audio-o' => 'File Audio O',
				'fa-file-code-o' => 'File Code O',
				'fa-file-excel-o' => 'File Excel O',
				'fa-file-image-o' => 'File Image O',
				'fa-file-movie-o ' => 'File Movie O ',
				'fa-file-pdf-o' => 'File Pdf O',
				'fa-file-photo-o ' => 'File Photo O ',
				'fa-file-picture-o ' => 'File Picture O ',
				'fa-file-powerpoint-o' => 'File Powerpoint O',
				'fa-file-sound-o ' => 'File Sound O ',
				'fa-file-video-o' => 'File Video O',
				'fa-file-word-o' => 'File Word O',
				'fa-file-zip-o ' => 'File Zip O ',
				'fa-film' => 'Film',
				'fa-filter' => 'Filter',
				'fa-fire' => 'Fire',
				'fa-fire-extinguisher' => 'Fire Extinguisher',
				'fa-flag' => 'Flag',
				'fa-flag-checkered' => 'Flag Checkered',
				'fa-flag-o' => 'Flag O',
				'fa-flash ' => 'Flash ',
				'fa-flask' => 'Flask',
				'fa-folder' => 'Folder',
				'fa-folder-o' => 'Folder O',
				'fa-folder-open' => 'Folder Open',
				'fa-folder-open-o' => 'Folder Open O',
				'fa-frown-o' => 'Frown O',
				'fa-futbol-o' => 'Futbol O',
				'fa-gamepad' => 'Gamepad',
				'fa-gavel' => 'Gavel',
				'fa-gear ' => 'Gear ',
				'fa-gears ' => 'Gears ',
				'fa-gift' => 'Gift',
				'fa-glass' => 'Glass',
				'fa-globe' => 'Globe',
				'fa-group ' => 'Group ',
				'fa-hdd-o' => 'Hdd O',
				'fa-headphones' => 'Headphones',
				'fa-heart' => 'Heart',
				'fa-heart-o' => 'Heart O',
				'fa-history' => 'History',
				'fa-home' => 'Home',
				'fa-image ' => 'Image ',
				'fa-inbox' => 'Inbox',
				'fa-info' => 'Info',
				'fa-info-circle' => 'Info Circle',
				'fa-key' => 'Key',
				'fa-keyboard-o' => 'Keyboard O',
				'fa-language' => 'Language',
				'fa-laptop' => 'Laptop',
				'fa-leaf' => 'Leaf',
				'fa-legal ' => 'Legal ',
				'fa-lemon-o' => 'Lemon O',
				'fa-level-down' => 'Level Down',
				'fa-level-up' => 'Level Up',
				'fa-life-bouy ' => 'Life Bouy ',
				'fa-life-buoy ' => 'Life Buoy ',
				'fa-life-ring' => 'Life Ring',
				'fa-life-saver ' => 'Life Saver ',
				'fa-lightbulb-o' => 'Lightbulb O',
				'fa-line-chart' => 'Line Chart',
				'fa-location-arrow' => 'Location Arrow',
				'fa-lock' => 'Lock',
				'fa-magic' => 'Magic',
				'fa-magnet' => 'Magnet',
				'fa-mail-forward ' => 'Mail Forward ',
				'fa-mail-reply ' => 'Mail Reply ',
				'fa-mail-reply-all ' => 'Mail Reply All ',
				'fa-male' => 'Male',
				'fa-map-marker' => 'Map Marker',
				'fa-meh-o' => 'Meh O',
				'fa-microphone' => 'Microphone',
				'fa-microphone-slash' => 'Microphone Slash',
				'fa-minus' => 'Minus',
				'fa-minus-circle' => 'Minus Circle',
				'fa-minus-square' => 'Minus Square',
				'fa-minus-square-o' => 'Minus Square O',
				'fa-mobile' => 'Mobile',
				'fa-mobile-phone ' => 'Mobile Phone ',
				'fa-money' => 'Money',
				'fa-moon-o' => 'Moon O',
				'fa-mortar-board ' => 'Mortar Board ',
				'fa-music' => 'Music',
				'fa-navicon ' => 'Navicon ',
				'fa-newspaper-o' => 'Newspaper O',
				'fa-paint-brush' => 'Paint Brush',
				'fa-paper-plane' => 'Paper Plane',
				'fa-paper-plane-o' => 'Paper Plane O',
				'fa-paw' => 'Paw',
				'fa-pencil' => 'Pencil',
				'fa-pencil-square' => 'Pencil Square',
				'fa-pencil-square-o' => 'Pencil Square O',
				'fa-phone' => 'Phone',
				'fa-phone-square' => 'Phone Square',
				'fa-photo ' => 'Photo ',
				'fa-picture-o' => 'Picture O',
				'fa-pie-chart' => 'Pie Chart',
				'fa-plane' => 'Plane',
				'fa-plug' => 'Plug',
				'fa-plus' => 'Plus',
				'fa-plus-circle' => 'Plus Circle',
				'fa-plus-square' => 'Plus Square',
				'fa-plus-square-o' => 'Plus Square O',
				'fa-power-off' => 'Power Off',
				'fa-print' => 'Print',
				'fa-puzzle-piece' => 'Puzzle Piece',
				'fa-qrcode' => 'Qrcode',
				'fa-question' => 'Question',
				'fa-question-circle' => 'Question Circle',
				'fa-quote-left' => 'Quote Left',
				'fa-quote-right' => 'Quote Right',
				'fa-random' => 'Random',
				'fa-recycle' => 'Recycle',
				'fa-refresh' => 'Refresh',
				'fa-remove ' => 'Remove ',
				'fa-reorder ' => 'Reorder ',
				'fa-reply' => 'Reply',
				'fa-reply-all' => 'Reply All',
				'fa-retweet' => 'Retweet',
				'fa-road' => 'Road',
				'fa-rocket' => 'Rocket',
				'fa-rss' => 'Rss',
				'fa-rss-square' => 'Rss Square',
				'fa-search' => 'Search',
				'fa-search-minus' => 'Search Minus',
				'fa-search-plus' => 'Search Plus',
				'fa-send ' => 'Send ',
				'fa-send-o ' => 'Send O ',
				'fa-share' => 'Share',
				'fa-share-alt' => 'Share Alt',
				'fa-share-alt-square' => 'Share Alt Square',
				'fa-share-square' => 'Share Square',
				'fa-share-square-o' => 'Share Square O',
				'fa-shield' => 'Shield',
				'fa-shopping-cart' => 'Shopping Cart',
				'fa-sign-in' => 'Sign In',
				'fa-sign-out' => 'Sign Out',
				'fa-signal' => 'Signal',
				'fa-sitemap' => 'Sitemap',
				'fa-sliders' => 'Sliders',
				'fa-smile-o' => 'Smile O',
				'fa-soccer-ball-o ' => 'Soccer Ball O ',
				'fa-sort' => 'Sort',
				'fa-sort-alpha-asc' => 'Sort Alpha Asc',
				'fa-sort-alpha-desc' => 'Sort Alpha Desc',
				'fa-sort-amount-asc' => 'Sort Amount Asc',
				'fa-sort-amount-desc' => 'Sort Amount Desc',
				'fa-sort-asc' => 'Sort Asc',
				'fa-sort-desc' => 'Sort Desc',
				'fa-sort-down ' => 'Sort Down ',
				'fa-sort-numeric-asc' => 'Sort Numeric Asc',
				'fa-sort-numeric-desc' => 'Sort Numeric Desc',
				'fa-sort-up ' => 'Sort Up ',
				'fa-spinner' => 'Spinner',
				'fa-spoon' => 'Spoon',
				'fa-square' => 'Square',
				'fa-square-o' => 'Square O',
				'fa-star' => 'Star',
				'fa-star-half' => 'Star Half',
				'fa-star-half-empty ' => 'Star Half Empty ',
				'fa-star-half-full ' => 'Star Half Full ',
				'fa-star-half-o' => 'Star Half O',
				'fa-star-o' => 'Star O',
				'fa-suitcase' => 'Suitcase',
				'fa-sun-o' => 'Sun O',
				'fa-support ' => 'Support ',
				'fa-tablet' => 'Tablet',
				'fa-tachometer' => 'Tachometer',
				'fa-tag' => 'Tag',
				'fa-tags' => 'Tags',
				'fa-tasks' => 'Tasks',
				'fa-taxi' => 'Taxi',
				'fa-terminal' => 'Terminal',
				'fa-thumb-tack' => 'Thumb Tack',
				'fa-thumbs-down' => 'Thumbs Down',
				'fa-thumbs-o-down' => 'Thumbs O Down',
				'fa-thumbs-o-up' => 'Thumbs O Up',
				'fa-thumbs-up' => 'Thumbs Up',
				'fa-ticket' => 'Ticket',
				'fa-times' => 'Times',
				'fa-times-circle' => 'Times Circle',
				'fa-times-circle-o' => 'Times Circle O',
				'fa-tint' => 'Tint',
				'fa-toggle-down ' => 'Toggle Down ',
				'fa-toggle-left ' => 'Toggle Left ',
				'fa-toggle-off' => 'Toggle Off',
				'fa-toggle-on' => 'Toggle On',
				'fa-toggle-right ' => 'Toggle Right ',
				'fa-toggle-up ' => 'Toggle Up ',
				'fa-trash' => 'Trash',
				'fa-trash-o' => 'Trash O',
				'fa-tree' => 'Tree',
				'fa-trophy' => 'Trophy',
				'fa-truck' => 'Truck',
				'fa-tty' => 'Tty',
				'fa-umbrella' => 'Umbrella',
				'fa-unlock' => 'Unlock',
				'fa-unlock-alt' => 'Unlock Alt',
				'fa-unsorted ' => 'Unsorted ',
				'fa-upload' => 'Upload',
				'fa-user' => 'User',
				'fa-users' => 'Users',
				'fa-video-camera' => 'Video Camera',
				'fa-volume-down' => 'Volume Down',
				'fa-volume-off' => 'Volume Off',
				'fa-volume-up' => 'Volume Up',
				'fa-warning ' => 'Warning ',
				'fa-wheelchair' => 'Wheelchair',
				'fa-wifi' => 'Wifi',
				'fa-wrench' => 'Wrench'
			);
			return $fa_icons;
		}

		/**
		 * Get Fontelico
		 *
		 * @return void
		 */
		public static function get_foicons()
		{
			$fo_icons = array(
				'fo-emo-happy' 			=> 'Emo Happy',
				'fo-emo-sleep' 			=> 'Emo Sleep',
				'fo-emo-tongue' 			=> 'Emo Tongue',
				'fo-emo-beer' 	  		=> 'Emo Beer',
				'fo-emo-cry' 	  		=> 'Emo Cry',
				'fo-emo-wink' 	  		=> 'Emo Wink',
				'fo-emo-wink2' 	  	=> 'Emo Wink2',
				'fo-emo-thumbsup' 		=> 'Emo Thumbsup',
				'fo-emo-grin' 	  		=> 'Emo Grin',
				'fo-emo-shoot' 	  	=> 'Emo Shoot',
				'fo-emo-devil' 	  	=> 'Emo Devil',
				'fo-emo-sunglasses' 	=> 'Emo Sunglasses',
				'fo-emo-angry' 	  	=> 'Emo Angry',
				'fo-emo-squint' 	  	=> 'Emo Squint',
				'fo-emo-unhappy' 	  => 'Emo Unhappy',
				'fo-emo-surprised' 	=> 'Emo Surprised',
				'fo-emo-displeased' 	=> 'Emo Displeased',
				'fo-emo-saint' 	  	=> 'Emo Saint',
				'fo-emo-laugh' 	  	=> 'Emo Laugh'
			);
			return $fo_icons;
		}

		/**
		 * Get Emoticon
		 *
		 * @return void
		 */
		public static function get_emoticons()
		{
			$ei_icons = array(
				'ei-0065' 			=> '0065',
				'ei-0065' 			=> '0065',
				'ei-0066' 			=> '0066',
				'ei-0067' 			=> '0067',
				'ei-0068' 			=> '0068',
				'ei-0069' 			=> '0069',
				'ei-0070' 			=> '0070',
				'ei-0071' 			=> '0071',
				'ei-0072' 			=> '0072',
				'ei-0073' 			=> '0073',
				'ei-0074' 			=> '0074',
				'ei-0075' 			=> '0075',
				'ei-0076' 			=> '0076',
				'ei-0077' 			=> '0077',
				'ei-0078' 			=> '0078',
				'ei-0079' 			=> '0079',
				'ei-0080' 			=> '0080',
				'ei-0081' 			=> '0081',
				'ei-0082' 			=> '0082',
				'ei-0083' 			=> '0083',
				'ei-0084' 			=> '0084',
				'ei-0085' 			=> '0085',
				'ei-0086' 			=> '0086',
				'ei-0087' 			=> '0087',
				'ei-0088' 			=> '0088',
				'ei-0089' 			=> '0089',
				'ei-0090' 			=> '0090',
				'ei-0097' 			=> '0097',
				'ei-0098' 			=> '0098',
				'ei-0099' 			=> '0099',
				'ei-0100' 			=> '0100',
				'ei-0101' 			=> '0101',
				'ei-0102' 			=> '0102',
				'ei-0103' 			=> '0103',
				'ei-0104' 			=> '0104',
				'ei-0105' 			=> '0105',
				'ei-0106' 			=> '0106',
				'ei-0107' 			=> '0107',
				'ei-0108' 			=> '0108',
				'ei-0109' 			=> '0109',
				'ei-0110' 			=> '0110',
				'ei-0111' 			=> '0111',
				'ei-0112' 			=> '0112',
				'ei-0113' 			=> '0113',
				'ei-0114' 			=> '0114',
				'ei-0115' 			=> '0115',
				'ei-0116' 			=> '0116',
				'ei-0117' 			=> '0117',
				'ei-0118' 			=> '0118',
				'ei-0119' 			=> '0119',
				'ei-0120' 			=> '0120',
				'ei-0121' 			=> '0121',
				'ei-0122' 			=> '0122',
				'ei-0049' 			=> '0049',
				'ei-0050' 			=> '0050',
				'ei-0051' 			=> '0051',
				'ei-0052' 			=> '0052',
				'ei-0053' 			=> '0053',
				'ei-0054' 			=> '0054',
				'ei-0055' 			=> '0055',
				'ei-0056' 			=> '0056',
				'ei-0057' 			=> '0057',
			);
			return $ei_icons;
		}

		/**
		 * Get Emociones
		 *
		 * @return void
		 */
		public static function get_emociones()
		{
			$ec_icons = array(
				'ec-0065' 			=> '0065',
				'ec-0065' 			=> '0065',
				'ec-0066' 			=> '0066',
				'ec-0067' 			=> '0067',
				'ec-0068' 			=> '0068',
				'ec-0069' 			=> '0069',
				'ec-0070' 			=> '0070',
				'ec-0071' 			=> '0071',
				'ec-0072' 			=> '0072',
				'ec-0073' 			=> '0073',
				'ec-0074' 			=> '0074',
				'ec-0075' 			=> '0075',
				'ec-0076' 			=> '0076',
				'ec-0077' 			=> '0077',
				'ec-0078' 			=> '0078',
				'ec-0079' 			=> '0079',
				'ec-0080' 			=> '0080',
				'ec-0081' 			=> '0081',
				'ec-0082' 			=> '0082',
				'ec-0083' 			=> '0083',
				'ec-0084' 			=> '0084',
				'ec-0085' 			=> '0085',
				'ec-0086' 			=> '0086',
				'ec-0087' 			=> '0087',
				'ec-0088' 			=> '0088',
				'ec-0089' 			=> '0089',
				'ec-0090' 			=> '0090',
				'ec-0097' 			=> '0097',
				'ec-0098' 			=> '0098',
				'ec-0099' 			=> '0099',
				'ec-0100' 			=> '0100',
				'ec-0101' 			=> '0101',
				'ec-0102' 			=> '0102',
				'ec-0103' 			=> '0103',
				'ec-0104' 			=> '0104',
				'ec-0105' 			=> '0105',
				'ec-0106' 			=> '0106',
				'ec-0107' 			=> '0107',
				'ec-0108' 			=> '0108',
				'ec-0109' 			=> '0109',
				'ec-0110' 			=> '0110',
				'ec-0111' 			=> '0111',
				'ec-0112' 			=> '0112',
				'ec-0113' 			=> '0113',
				'ec-0114' 			=> '0114',
				'ec-0115' 			=> '0115',
				'ec-0116' 			=> '0116',
				'ec-0117' 			=> '0117',
				'ec-0118' 			=> '0118',
				'ec-0119' 			=> '0119',
				'ec-0120' 			=> '0120',
				'ec-0121' 			=> '0121',
				'ec-0122' 			=> '0122',
				'ec-0049' 			=> '0049',
				'ec-0050' 			=> '0050',
				'ec-0051' 			=> '0051',
				'ec-0052' 			=> '0052',
				'ec-0053' 			=> '0053',
				'ec-0054' 			=> '0054',
				'ec-0055' 			=> '0055',
				'ec-0056' 			=> '0056',
				'ec-0057' 			=> '0057',
			);
			return $ec_icons;
		}

		/**
		 * Get Yolkicon
		 *
		 * @return void
		 */
		public static function get_yolkicons()
		{
			$yi_icons = array(
				'yi-0065' 			=> '0065',
				'yi-0065' 			=> '0065',
				'yi-0066' 			=> '0066',
				'yi-0067' 			=> '0067',
				'yi-0068' 			=> '0068',
				'yi-0069' 			=> '0069',
				'yi-0070' 			=> '0070',
				'yi-0071' 			=> '0071',
				'yi-0072' 			=> '0072',
				'yi-0073' 			=> '0073',
				'yi-0074' 			=> '0074',
				'yi-0075' 			=> '0075',
				'yi-0076' 			=> '0076',
				'yi-0077' 			=> '0077',
				'yi-0078' 			=> '0078',
				'yi-0079' 			=> '0079',
				'yi-0080' 			=> '0080',
				'yi-0081' 			=> '0081',
				'yi-0082' 			=> '0082',
				'yi-0083' 			=> '0083',
				'yi-0084' 			=> '0084',
				'yi-0085' 			=> '0085',
				'yi-0086' 			=> '0086',
				'yi-0087' 			=> '0087',
				'yi-0088' 			=> '0088',
				'yi-0089' 			=> '0089',
				'yi-0090' 			=> '0090',
				'yi-0097' 			=> '0097',
				'yi-0098' 			=> '0098',
				'yi-0099' 			=> '0099',
				'yi-0100' 			=> '0100',
				'yi-0101' 			=> '0101',
				'yi-0102' 			=> '0102',
				'yi-0103' 			=> '0103',
				'yi-0104' 			=> '0104',
				'yi-0105' 			=> '0105',
				'yi-0106' 			=> '0106',
				'yi-0107' 			=> '0107',
				'yi-0108' 			=> '0108',
				'yi-0109' 			=> '0109',
				'yi-0110' 			=> '0110',
				'yi-0111' 			=> '0111',
				'yi-0112' 			=> '0112',
				'yi-0113' 			=> '0113',
				'yi-0114' 			=> '0114',
				'yi-0115' 			=> '0115',
				'yi-0116' 			=> '0116',
				'yi-0117' 			=> '0117',
				'yi-0118' 			=> '0118',
				'yi-0119' 			=> '0119',
				'yi-0120' 			=> '0120',
				'yi-0121' 			=> '0121',
				'yi-0122' 			=> '0122',
				'yi-0049' 			=> '0049',
				'yi-0050' 			=> '0050',
				'yi-0051' 			=> '0051',
				'yi-0052' 			=> '0052',
				'yi-0053' 			=> '0053',
				'yi-0054' 			=> '0054',
				'yi-0055' 			=> '0055',
				'yi-0056' 			=> '0056',
				'yi-0057' 			=> '0057',
			);
			return $yi_icons;
		}
	}
}
?>
