<?php
/**
 * Modal message view
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-error" data-remodal-id="ippcd-modal-error-delete" data-remodal-options="hashTracking: false">

  <button data-remodal-action="close" class="remodal-close">
    <img src="<?php echo IPPDC_BASE_URL; ?>assets/img/cancel.svg" alt="Close">
  </button>

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-warning"></i>
      <span><?php _e( 'Error in Removing Decoration', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'The decoration failed to remove from your page, please try again later.', IPPDC_SLUG ); ?></p>

    <button data-remodal-action="close" class="ippdc-remodal-btn ippdc-remodal-btn-close">
      <?php _e( 'Close', IPPDC_SLUG ); ?>
    </button>
  </div>

</div>
