(function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require=="function"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error("Cannot find module '"+o+"'");throw f.code="MODULE_NOT_FOUND",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require=="function"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(require,module,exports){
var frontfunc  = require( './../public/front.js' );

(function($)
{
  "use strict";

  $(document).ready(function()
  {
    //
    // Build front views
    //
    frontfunc.init();

  });
})(jQuery);

},{"./../public/front.js":6}],2:[function(require,module,exports){
/*
 *===========================================================
 *  Input image option
 *===========================================================*/
var option;

(function($)
{
    "use strict";

    option = function( root, options )
    {
        var defaults  = {
            after: function( value, input ){},
        };
        var options = $.extend( defaults, options );

        root.each( function()
        {
            var input = $(this);

            $( '._item', input ).click( function()
            {
                $( '._item', input ).removeClass( '_selected' );
                var value = $(this).data( 'value' );
                $(this).addClass( '_selected' );
                $( '._value-selected', input ).val( value );
                //
                //Callback
                options.after( value, $(this), input );
                return false;
            })
        });
    };

})(jQuery);

module.exports = option;

},{}],3:[function(require,module,exports){
/*
 *===========================================================
 * Box Function
 *===========================================================*/
var error      = require( './error.js' );
var helper     = require( './helper.js' );
var optionfunc = require( './option.js' );

var ippdc_box;
(function($)
{
    "use strict";

    ippdc_box =
    {
      //
      //Init
      init: function()
      {
        var self = this;

        if ( $( '#ippdc-form-box' ).length > 0 )
        {
          $( '#ippdc-form-box button[type=submit]' ).click( function()
          {
            error.resetError();

            var title   = $( '#ippdc-input-box-title' ).val();
            var label   = $( '#ippdc-input-box-button-label' ).val();
            var url     = $( '#ippdc-input-box-button-url' ).val();
            var content = $( '#ippdc-input-box-content' ).val();
            var width   = $( '#ippdc-input-box-width' ).val();
            var height  = $( '#ippdc-input-box-height' ).val();

            //check errors
            error.checkError( title, 'box_title', 'string' );
            error.checkError( label, 'box_button_label', 'string' );
            error.checkError( url, 'box_button_url', 'string' );
            error.checkError( content, 'box_content', 'string' );
            error.checkError( width, 'box_width', 'number' );
            error.checkError( height, 'box_height', 'number' );

            if ( ! error.isError() )
            {
              //Close modal
              var inst  = $('[data-remodal-id="ippcd-modal-box"]').remodal();
              inst.close();

              //Clear form
              $( '#ippdc-form-box' )[0].reset();

              //Save data
              self.saveDecoration({
                'title':        title,
                'button_label': label,
                'button_url':   url,
                'content':      content,
                'width':        width,
                'height':       height,
              });
            }
            else {
              error.showError( $(this) );
            }
            return false;
         });
        }
      },

      //
      //Save decoration
      saveDecoration: function( data )
      {
        var self = this;
        helper.saveDecoration( 'box', data, function( response )
        {
          var content = self.getBox( data, data );
          helper.addDecoration( 'box', response, content, function( option ){
            return self.buildOptions( data, response );
          });
        });
      },

      //
      //Get box
      getBox: function( data, response )
      {
        var wrapclass = 'ippdc-deco-box-main ippdc-deco-style-width ippdc-deco-style-height';
        wrapclass += ' ippdc-deco-style-bgcolor ippdc-deco-style-color ippdc-deco-style-border';

        var boxwrap = $( '<div class="' + wrapclass + '"></div>' );
        boxwrap.height( response.height );
        boxwrap.width( response.width );

        //Set style
        if ( response.bgcolor != undefined && response.bgcolor != '' ) {
          boxwrap.css( 'backgroundColor', response.bgcolor );
        }
        if ( response.color != undefined && response.color != '' ) {
          boxwrap.css( 'color', response.color );
        }
        if ( response.border_color != undefined && response.border_color != '' ) {
          boxwrap.css( 'borderColor', response.border_color );
        }
        if ( response.border_size != undefined && response.border_size != '' ) {
          boxwrap.css( 'borderWidth', response.border_size );
        }

        var boxTitle   = $( '<h3 class="ippdc-deco-box-title"></h3>' ).text( data.title );
        var boxContent = $( '<div class="ippdc-deco-box-content"></div>' ).text( data.content );
        boxTitle.appendTo( boxwrap );
        boxContent.appendTo( boxwrap );

        var wrapButton = $( '<div class="ippdc-deco-box-button"></div>' );
        var boxButton  = $( '<a class="ippdc-btn"></a>' )
                          .text( data.button_label )
                          .attr( 'href', data.button_url );

        if ( response.button_style != undefined && response.button_style != '' ) {
          boxButton.attr( 'data-style', response.button_style );
        } else {
          boxButton.attr( 'data-style', 'flat' );
        }
        if ( response.button_color != undefined && response.button_color != '' ) {
          boxButton.attr( 'data-color', response.button_color );
        } else {
          boxButton.attr( 'data-color', 'clean' );
        }

        wrapButton.append( boxButton )
                  .appendTo( boxwrap );

        return boxwrap;
      },

      //
      //Build options
      buildOptions: function( data, options )
      {
        var fields = $( '<div class="ippdc-note-fields"></div>' );
        fields.append( this.buildOptionStyle( data, options ) );
        fields.append( this.buildOptionContent( data, options ) );

        return fields;
      },

      //
      //Build option style
      buildOptionStyle: function( data, options )
      {
        var field = $( '<div id="ippdc-tab-content-style" class="ippdc-option-tab-content"></div>' );
        field.append( optionfunc.buildFieldOpacity( false ) )
             .append( optionfunc.buildFieldWidth( data.width ) )
             .append( optionfunc.buildFieldHeight( data.height ) )
             .append( optionfunc.buildFieldBgColor( false ) )
             .append( optionfunc.buildFieldColor( false ) )
             .append( optionfunc.buildFieldBorder( false ) )
             .append( this.buildFieldButton( data, options ) )
             .hide();

        return field;
      },

      //
      //Build field button
      buildFieldButton: function( data, options )
      {
        var fields = $( '<div class="ippdc-fields-button"></div>' );

        //Style
        var styles  = [
          {
            'label': 'Flat',
            'value': 'flat'
          },
          {
            'label': 'Gradient',
            'value': 'gradient'
          },
          {
            'label': 'Rounded',
            'value': 'rounded'
          }
        ];

        var style = false;
        if ( options.button_style != undefined ) {
          style = options.button_style;
        }
        var fieldStyle = optionfunc.buildFieldSelect( 'Button Style', 'button_style', styles, style, function( el )
        {
          var val  = el.val();
          var deco = el.parents( '.ippdc-deco-item' );

          if ( $( '.ippdc-deco-box-button', deco ).length > 0 ) {
            $( '.ippdc-deco-box-button .ippdc-btn', deco ).attr( 'data-style', val );
          }
        });

        //Color
        var colors  = [
          {
            'label': 'Clean',
            'value': 'clean'
          },
          {
            'label': 'Dark',
            'value': 'dark'
          },
          {
            'label': 'Red',
            'value': 'red'
          },
          {
            'label': 'Blue',
            'value': 'blue'
          },
          {
            'label': 'Orange',
            'value': 'orange'
          },
          {
            'label': 'Gold',
            'value': 'gold'
          },
          {
            'label': 'Aqua',
            'value': 'aqua'
          },
          {
            'label': 'Purple',
            'value': 'purple'
          },
          {
            'label': 'Lime',
            'value': 'lime'
          }
        ];

        var color = false;
        if ( options.button_color != undefined ) {
          color = options.button_color;
        }
        var fieldColor = optionfunc.buildFieldSelect( 'Button Color', 'button_color', colors, color, function( el )
        {
          var val  = el.val();
          var deco = el.parents( '.ippdc-deco-item' );

          if ( $( '.ippdc-deco-box-button', deco ).length > 0 ) {
            $( '.ippdc-deco-box-button .ippdc-btn', deco ).attr( 'data-color', val );
          }
        });

        fields.append( fieldStyle );
        fields.append( fieldColor );

        return fields;
      },

      //
      //Build option content
      buildOptionContent: function( data, options )
      {
        var field = $( '<div id="ippdc-tab-content-content" class="ippdc-option-tab-content"></div>' );

        //
        // Title
        field.append( optionfunc.buildFieldInput( 'Title', 'title', data.title, function(input)
          {
            var tivalue = input.val();
            var deco    = input.parents( '.ippdc-deco-item' );
            $( '.ippdc-deco-box-title', deco ).text( tivalue );
          })
        );

        //
        //Content
        field.append( optionfunc.buildFieldTextarea( 'Content', 'content', data.content, function(input)
          {
            var covalue = input.val();
            var deco    = input.parents( '.ippdc-deco-item' );
            $( '.ippdc-deco-box-content', deco ).text( covalue );
          })
        );

        //
        // Button Label
        field.append( optionfunc.buildFieldInput( 'Button Label', 'button_label', data.button_label, function(input)
          {
            var blvalue = input.val();
            var deco    = input.parents( '.ippdc-deco-item' );
            $( '.ippdc-deco-box-button .ippdc-btn', deco ).text( blvalue );
          })
        );

        //
        // Button URL
        field.append( optionfunc.buildFieldInput( 'Button URL', 'button_url', data.button_url, function(input)
          {
            var blvalue = input.val();
            var deco    = input.parents( '.ippdc-deco-item' );
            $( '.ippdc-deco-box-button .ippdc-btn', deco ).attr( 'href', blvalue );
          })
        );

        field.hide();

        return field;
      }
    };

})(jQuery);

module.exports = ippdc_box;

},{"./error.js":5,"./helper.js":7,"./option.js":10}],4:[function(require,module,exports){
/*
 *===========================================================
 * Effect Function
 *===========================================================*/
var error       = require( './error.js' );
var helper      = require( './helper.js' );
var optionfunc  = require( './option.js' );

var ippdc_effect;
(function($)
{
    "use strict";

    ippdc_effect =
    {
      //
      //Init
      init: function()
      {
        var self = this;

        if ( $( '#ippdc-form-bg-effect' ).length > 0 )
        {
          $( '#ippdc-form-bg-effect button[type=submit]' ).click( function()
          {
            error.resetError();

            var type  = $( '#ippdc-input-effect-type' ).val();
            var color = $( '#ippdc-input-effect-color' ).val();

            //check errors
            error.checkError( type, 'effect_type', 'string' );
            error.checkError( color, 'effect_color', 'string' );

            if ( ! error.isError() )
            {
              //
              //Check effect
              // if ( $('body').hasClass( 'ippdc-snow-on' ) )
              // {
              //   var inst  = $('[data-remodal-id="ippcd-modal-ready"]').remodal();
              //   inst.open();
              //   return false;
              // }

              //
              //Close modal
              var inst  = $('[data-remodal-id="ippcd-modal-effect"]').remodal();
              inst.close();

              //Save data
              self.saveDecoration({
                'effect_type':   type,
                'effect_color':  color
              });
            }
            else {
              error.showError( $(this) );
            }
            return false;
          });


          $( '.ippdc-effect-ready-yes' ).click( function()
          {
            var type  = $( '#ippdc-input-effect-type' ).val();
            var color = $( '#ippdc-input-effect-color' ).val();

            //
            //Close modal
            var inst  = $('[data-remodal-id="ippcd-modal-ready"]').remodal();
            inst.close();

            //Save data
            self.saveDecoration({
              'effect_type':   type,
              'effect_color':  color,
            });
            return false;
          });
        }
      },

      //
      //Save decoration
      saveDecoration: function( data )
      {
        var self = this;
        helper.saveDecoration( 'effect', data, function( response )
        {
          self.getEffect( data, response );

          if ( ippdc_isLogin ) {
            self.buildOptions( data, response );
          }
        });
      },

      //
      //Get effect
      getEffect: function( data, options )
      {
        if ( options.decoid != undefined )
        {
          var decoitem = $( '.ippdc-front-deco[data-id="'+options.decoid+'"]' );
          if ( decoitem.length < 1 )
          {
            var decoitem = $( '<div class="ippdc-front-deco"></div>' )
                            .attr( 'data-id', options.decoid )
                            .attr( 'data-type', 'effect' )
                            .hide();

            var decosett = $( '<div class="ippdc-front-deco-settings"></div>' )
                            .attr( 'data-type', data.effect_type )
                            .attr( 'data-color', data.effect_color );

            decoitem.append( decosett );
            $( '.ippdc-front' ).append( decoitem );
          }
        }

        var snowColor   = this.getEffectColor( data.effect_color );
        var snowOptions = {};
        if ( data.effect_type == 'snow' )
        {
          snowOptions = {
            flakeCount : 30,
            flakeColor: snowColor,
            round : true,
            minSize: 6,
            maxSize: 10
          }
        }
        else if ( data.effect_type == 'snowflake' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'snowflake_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'star' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'star_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'leaf' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'leaf_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'hexagon' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'hexagonal_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'droplet' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'droplet_' + data.effect_color + '.svg',
            minSize: 5,
            maxSize: 30
          }
        }
        else if ( data.effect_type == 'sun' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'sun_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'cloud' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'cloud_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        $('body').addClass( 'ippdc-snow-on' );
        $('body').snowfall( snowOptions );
      },

      //
      //Get effect color
      getEffectColor: function( color )
      {
        var hex = '#ffffff';
        if ( color == 'black' ) {
          hex = '#000000';
        }
        else if ( color == 'blue' ) {
          hex = '#2f74e7';
        }
        else if ( color == 'light_blue' ) {
          hex = '#20d0d6';
        }
        else if ( color == 'red' ) {
          hex = '#e43333';
        }
        else if ( color == 'green' ) {
          hex = '#72c462';
        }
        else if ( color == 'orange' ) {
          hex = '#e59547';
        }
        else if ( color == 'yellow' ) {
          hex = '#ffcd50';
        }
        return hex;
      },

      //
      //Rebuild effects
      rebuild: function( options )
      {
        var self = this;
        $( '.ippdc-front-deco[data-type="effect"]' ).each( function()
        {
          var item = $(this);
          var datasett = $( '.ippdc-front-deco-settings', item );

          //Effect Color
          var dataColor = datasett.data( 'color' );
          if ( dataColor != undefined && dataColor != '' ) {
            buildOpts.effect_color = dataColor;
          }

          //Effect Type
          var dataType = datasett.data( 'type' );
          if ( dataType != undefined && dataType != '' ) {
            buildOpts.effect_type = dataType;
          }

          self.getEffect( buildOpts, buildOpts );
        });
      },

      //
      //Build options
      buildOptions: function( options, response )
      {
        var self  = this;
        var wrap  = $( '<li class="ipddc-deco-effect-item ippdc-deco-action-trigger ippdc-clear"></li>' );
        wrap.attr( 'data-id', response.decoid )
            .attr( 'data-type', 'effect' );

        var item  = $( '<div class="ipddc-effect-item"></div>' );
        var label = $( '<div class="ipddc-effect-label"></div>' );
        label.text( options.effect_type + ' | ' + options.effect_color );
        item.append( label );

        var edit    = $( '<div class="ipddc-effect-edit"></div>' );
        var editBtn = $( '<a href="#" class="ipddc-effect-edit-btn"></a>' );
        editBtn.html( '<i class="ippdc-fa ippdc-fa-pencil"></i>' );
        editBtn.click( function()
        {
          var deco   = $(this).parents( '.ipddc-deco-effect-item' );
          var option = $( '.ippdc-deco-option', deco );
          if ( option.length > 0 )
          {
            var height = $( '.ippdc-deco-content', deco ).height();
            option.css( 'top', height+20+'px' );
            if ( $(this).hasClass( 'active' ))
            {
              option.removeClass( 'open' );
              $(this).removeClass( 'active' );
            }
            else {
              option.show();
              option.addClass( 'open' );
              $(this).addClass( 'active' );
            }
          }
          return false;
        });
        item.append( edit.append( editBtn ) );
        var options = optionfunc.build( 'effect', options, function()
        {
          return self.buildOptionStyle( options );
        });
        wrap.append( item );
        wrap.append( options );

        //Insert to wrapper
        $( '.ippdc-front-effect-edit .ippdc-effect-edit-items' ).append( wrap );
        $( '.ippdc-front-effect-edit' ).show();

        return wrap;
      },

      //
      //Build option style
      buildOptionStyle: function( options )
      {
        var field = $( '<div id="ippdc-tab-content-style" class="ippdc-option-tab-content"></div>' );
        field.append( this.buildFieldType( options.effect_type ) )
             .append( this.buildFieldColor( options.effect_color ) )
             .hide();

        return field;
      },

      //
      //Build field type
      buildFieldType: function( value )
      {
        var self    = this;
        var options = [
          {
            'label': 'Snow',
            'value': 'snow'
          },
          {
            'label': 'Snowflake',
            'value': 'snowflake'
          },
          {
            'label': 'Star',
            'value': 'star'
          },
          {
            'label': 'Leaf',
            'value': 'leaf'
          },
          {
            'label': 'Hexagon',
            'value': 'hexagon'
          },
          {
            'label': 'Run',
            'value': 'sun'
          },
          {
            'label': 'Cloud',
            'value': 'cloud'
          },
          {
            'label': 'Droplet of Water',
            'value': 'droplet'
          }
        ];
        //
        // Type
        var type = false;
        if ( value ) {
          type = value;
        }
        var fieldType = optionfunc.buildFieldSelect( 'Type', 'effect_type', options, type, function( el )
        {
          var type = el.val();
          var deco = el.parents( '.ippdc-deco-action-trigger' );
          self.changeField( deco, 'type', type );
        });

        return fieldType;
      },

      //
      //Build field color
      buildFieldColor: function( value )
      {
        var self    = this;
        var options = [
          {
            'label': 'White',
            'value': 'white'
          },
          {
            'label': 'Black',
            'value': 'black'
          },
          {
            'label': 'Blue',
            'value': 'blue'
          },
          {
            'label': 'Light Blue',
            'value': 'light_blue'
          },
          {
            'label': 'Red',
            'value': 'red'
          },
          {
            'label': 'Green',
            'value': 'green'
          },
          {
            'label': 'Orange',
            'value': 'orange'
          },
          {
            'label': 'Yellow',
            'value': 'yellow'
          }
        ];

        var color = false;
        if ( value ) {
          color = value;
        }
        var fieldColor = optionfunc.buildFieldSelect( 'Color', 'effect_color', options, color, function( el )
        {
          var color = el.val();
          var deco  = el.parents( '.ippdc-deco-action-trigger' );
          self.changeField( deco, 'color', color );
        });

        return fieldColor;
      },

      //
      //Change fields
      changeField: function( deco, name, value )
      {
        var decoid   = deco.data( 'id' );
        var decoitem = $( '.ippdc-front-deco[data-id="'+decoid+'"]' );

        if ( decoitem.length > 0 )
        {
          var decosett = $( '.ippdc-front-deco-settings', decoitem );
          decosett.attr( 'data-'+name, value );

          //Change label
          var color = decosett.attr( 'data-color' );
          var type  = decosett.attr( 'data-type' );

          $( '.ipddc-effect-label', deco ).text( type + ' | ' + color );
        }
        this.rebuildEffect({
          decoid: decoid
        });
      },
      //
      //Rebuild effect
      rebuildEffect: function( options )
      {
        var self = this;

        $( 'body' ).snowfall('clear');

        $( '.ippdc-front-deco[data-type="effect"]' ).each( function()
        {
          var item = $(this);
          var datasett = $( '.ippdc-front-deco-settings', item );
          var buildOpts = {};

          //Effect Color
          var dataColor = datasett.attr( 'data-color' );
          if ( dataColor != undefined && dataColor != '' ) {
            buildOpts.effect_color = dataColor;
          }

          //Effect Type
          var dataType = datasett.attr( 'data-type' );
          if ( dataType != undefined && dataType != '' ) {
            buildOpts.effect_type = dataType;
          }

          self.getEffect( buildOpts, options );
        });
      }
    };

})(jQuery);

module.exports = ippdc_effect;

},{"./error.js":5,"./helper.js":7,"./option.js":10}],5:[function(require,module,exports){
/*
 *===========================================================
 * Error handler Function
 *===========================================================*/
var ippdc_error;
(function($)
{
    "use strict";

    ippdc_error =
    {
      errorCount: 0,

      //
      //resetError
      resetError: function()
      {
        this.errorCount = 0;
        $( '.ippdc-remodal-error .ippdc-error-messages' ).html( '' );
      },

      //
      //isError
      isError: function()
      {
        if ( this.errorCount > 0 ) {
          return true;
        }
        return false;
      },

      //
      //showError
      showError: function( button )
      {
        var modalId = button.parents( '.ippdc-remodal' ).attr( 'data-remodal-id' );
        if ( this.errorCount > 0 )
        {
          $('[data-remodal-id="ippcd-modal-error"]').attr( 'data-modal-before', modalId );
          var inst  = $('[data-remodal-id="ippcd-modal-error"]').remodal();
          inst.open();
        }
      },

      //
      //checkError
      checkError: function( value, name, type )
      {
        var isError = false;
        var message = '';

        if ( type == 'number' )
        {
          if ( value < 1 ) {
            isError = true;
            message = this.getMessage( name );
          }
        }
        else
        {
          if ( value == '' || value == ' ' ) {
            isError = true;
            message = this.getMessage( name );
          }
        }

        if ( isError )
        {
          this.errorCount++;
          $( '.ippdc-remodal-error .ippdc-error-messages' ).append( '<li>' + message + '</li>' );
        }
      },

      //
      //getMessage
      getMessage: function( name )
      {
        var message = '';
        if ( ippdc_messages[name] != undefined ) {
          message = ippdc_messages[name];
        }
        return message;
      }
    };

})(jQuery);

module.exports = ippdc_error;

},{}],6:[function(require,module,exports){
/*
 *===========================================================
 * Front Function
 *===========================================================*/
var errorfunc     = require( './error.js' );
var helperfunc    = require( './helper.js' );
var positionfunc  = require( './position.js' );
var imagefunc     = require( './image.js' );
var notefunc      = require( './note.js' );
var boxfunc       = require( './box.js' );
var videofunc     = require( './video.js' );
var effectfunc    = require( './effect.js' );

var ippdc_front;
(function($)
{
    "use strict";

    helperfunc.isFront = true;

    ippdc_front =
    {
      //
      //Init
      init: function()
      {
        var self = this;

        if ( $( '.ippdc-front-deco' ).length > 0 )
        {
          $( '.ippdc-front-deco' ).each( function()
          {
            var deco     = $(this);
            var type     = deco.data( 'type' );
            var datasett = $( '.ippdc-front-deco-settings', deco );

            //
            //Build options
            var buildOpts = {};
            buildOpts.decoid = deco.data( 'id' );

            buildOpts = self.getPositionOptions( datasett, buildOpts );
            buildOpts = self.getBasicStyleOptions( datasett, buildOpts );
            buildOpts = self.getDurationOptions( datasett, buildOpts );

            //
            //Image
            //
            if ( type == 'image' )
            {
              var imgdata = $( '.ippdc-front-deco-image', deco );
              var imgOpts = {};
              imgOpts.image      = imgdata.data( 'src' );
              imgOpts.image_type = imgdata.data( 'imagetype' );

              var content = imagefunc.getImage( imgOpts, buildOpts );
              helperfunc.addDecoration( 'image', buildOpts, content, function( option ){
                return imagefunc.buildOptions( option );
              });
            }
            //
            //Note
            //
            else if ( type == 'note' )
            {
              var content  = $( '.ippdc-front-deco-note-content', deco ).text();

              var noteOpts = {};
              noteOpts.content  = content;
              buildOpts.content = content;

              buildOpts   = self.getNoteOptions( datasett, buildOpts );

              var content = notefunc.getNote( noteOpts, buildOpts );
              helperfunc.addDecoration( 'note', buildOpts, content, function( option ){
                return notefunc.buildOptions( noteOpts, option );
              });
            }
            //
            //Box
            //
            else if ( type == 'box' )
            {
              var content = $( '.ippdc-front-deco-box-content', deco ).text();
              var title   = $( '.ippdc-front-deco-box-title', deco ).text();
              var label   = $( '.ippdc-front-deco-box-button', deco ).text();
              var url     = $( '.ippdc-front-deco-box-button', deco ).attr( 'href' );

              var boxOpts = {};
              boxOpts.content      = content;
              boxOpts.title        = title;
              boxOpts.button_label = label;
              boxOpts.button_url   = url;

              buildOpts   = self.getBoxOptions( datasett, buildOpts );

              var content = boxfunc.getBox( boxOpts, buildOpts );
              helperfunc.addDecoration( 'box', buildOpts, content, function( option ){
                return boxfunc.buildOptions( boxOpts, buildOpts );
              });
            }
            //
            //video
            //
            else if ( type == 'video' )
            {
              var id       = $( '.ippdc-front-deco-video', deco ).attr( 'data-id' );
              var autoplay = $( '.ippdc-front-deco-video', deco ).attr( 'data-autoplay' );

              var videoOpts = {};
              videoOpts.video_id  = id;
              videoOpts.autoplay  = autoplay;

              var content = videofunc.getVideo( videoOpts, buildOpts );
              helperfunc.addDecoration( 'video', buildOpts, content, function( option ){
                return videofunc.buildOptions( videoOpts, buildOpts );
              });
            }
            //
            //Effect
            //
            else if ( type == 'effect' )
            {
              //Effect Color
              var dataColor = datasett.data( 'color' );
              if ( dataColor != undefined && dataColor != '' ) {
                buildOpts.effect_color = dataColor;
              }

              //Effect Type
              var dataType = datasett.data( 'type' );
              if ( dataType != undefined && dataType != '' ) {
                buildOpts.effect_type = dataType;
              }

              effectfunc.getEffect( buildOpts, buildOpts );

              if ( ippdc_isLogin ) {
                effectfunc.buildOptions( buildOpts, buildOpts );
              }
            }
          })
        }
      },

      //
      //Get position options
      getPositionOptions: function( datasett, buildOpts )
      {
        var self = this;

        //Top
        var dataTop = datasett.data( 'top' );
        if ( dataTop != undefined && dataTop != '' ) {
          buildOpts.top = dataTop;
        }

        //Left
        var dataLeft = datasett.data( 'left' );
        if ( dataLeft != undefined && dataLeft != '' ) {
          buildOpts.left = dataLeft;
        }

        //Z-Index
        var dataZindex = datasett.data( 'zindex' );
        if ( dataZindex != undefined && dataZindex != '' ) {
          buildOpts.zindex = dataZindex;
        }

        //Pos helper
        var dataHelper = datasett.data( 'poshelper' );
        if ( dataHelper != undefined && dataHelper != '' ) {
          buildOpts.poshelper = dataLeft;
        }

        return buildOpts;
      },

      //
      //Get basic style options
      getBasicStyleOptions: function( datasett, buildOpts )
      {
        var self = this;

        //Height
        var dataHeight = datasett.data( 'height' );
        if ( dataHeight != undefined && dataHeight != '' ) {
          buildOpts.height = dataHeight;
        }

        //Width
        var dataWidth = datasett.data( 'width' );
        if ( dataWidth != undefined && dataWidth != '' ) {
          buildOpts.width = dataWidth;
        }

        //Opacity
        var dataOpacity = datasett.data( 'opacity' );
        if ( dataOpacity != undefined && dataOpacity != '' ) {
          buildOpts.opacity = dataOpacity;
        }

        return buildOpts;
      },

      //
      //Get duration options
      getDurationOptions: function( datasett, buildOpts )
      {
        var self = this;

        //Date Start
        var dataStart = datasett.data( 'start' );
        if ( dataStart != undefined && dataStart != '' ) {
          buildOpts.start = dataStart;
        }

        //Date End
        var dataEnd = datasett.data( 'end' );
        if ( dataEnd != undefined && dataEnd != '' ) {
          buildOpts.end = dataEnd;
        }

        return buildOpts;
      },

      //
      //Get note options
      getNoteOptions: function( datasett, buildOpts )
      {
        var self = this;

        //Background color
        var bgcolor = datasett.data( 'bgcolor' );
        if ( bgcolor != undefined && bgcolor != '' ) {
          buildOpts.bgcolor = bgcolor;
        }
        //Color
        var color = datasett.data( 'color' );
        if ( color != undefined && color != '' ) {
          buildOpts.color = color;
        }
        //border Color
        var bocolor = datasett.data( 'bordercolor' );
        if ( bocolor != undefined && bocolor != '' ) {
          buildOpts.border_color = bocolor;
        }
        //border size
        var bosize = datasett.data( 'bordersize' );
        if ( bosize != undefined && bosize != '' ) {
          buildOpts.border_size = bosize;
        }

        return buildOpts;
      },

      //
      //Get box options
      getBoxOptions: function( datasett, buildOpts )
      {
        var self = this;

        //Background color
        var bgcolor = datasett.data( 'bgcolor' );
        if ( bgcolor != undefined && bgcolor != '' ) {
          buildOpts.bgcolor = bgcolor;
        }
        //Color
        var color = datasett.data( 'color' );
        if ( color != undefined && color != '' ) {
          buildOpts.color = color;
        }
        //border Color
        var bocolor = datasett.data( 'bordercolor' );
        if ( bocolor != undefined && bocolor != '' ) {
          buildOpts.border_color = bocolor;
        }
        //border size
        var bosize = datasett.data( 'bordersize' );
        if ( bosize != undefined && bosize != '' ) {
          buildOpts.border_size = bosize;
        }
        //button style
        var btnstyle = datasett.data( 'btnstyle' );
        if ( btnstyle != undefined && btnstyle != '' ) {
          buildOpts.button_style = btnstyle;
        }
        //button color
        var btncolor = datasett.data( 'btncolor' );
        if ( btncolor != undefined && btncolor != '' ) {
          buildOpts.button_color = btncolor;
        }

        return buildOpts;
      }
    };

})(jQuery);

module.exports = ippdc_front;

},{"./box.js":3,"./effect.js":4,"./error.js":5,"./helper.js":7,"./image.js":8,"./note.js":9,"./position.js":11,"./video.js":12}],7:[function(require,module,exports){
/*
 *===========================================================
 * Helper Function
 *===========================================================*/
var optionfunc   = require( './option.js' );
var positionfunc = require( './position.js' );

var ippdc_helper;
(function($)
{
    "use strict";

    ippdc_helper =
    {
      isFront: false,

      //
      //Save decoration
      saveDecoration: function( type, data, successCallback )
      {
        //
        //Show loader
        var loader = $('[data-remodal-id="ippcd-modal-loader"]').remodal();
        loader.open();

        var self    = this;
        var ajaxUrl = ippdc_ajaxurl + '?doajax=1&ippdc=1&action=save_decoration&type=' + type;
        ajaxUrl += '&page_type=' + ippdc_typePage + '&postid=' + ippdc_postId;

        $.ajax({
          url: ajaxUrl,
          type: "POST",
          dataType: "json",
          data: data,
          success: function ( response )
          {
            successCallback( response );
            //
            //Hide loader
            loader.close();
          }
        });
      },
      //
      //Add decoration
      addDecoration: function( type, options, content, optionCallback )
      {
        var itclass = 'ippdc-deco-item ippdc-deco-action-trigger ippdc-deco-'+type;
        if ( ippdc_isLogin ) {
          itclass += ' ippdc-islogin';
        }
        var item    = $( '<div class="' + itclass + '"></div>' )
                      .attr( 'data-id', options.decoid )
                      .attr( 'data-type', type );

        var inner    = $( '<div class="ippdc-deco-inner"></div>' );
        var decomain = this.getDecorationContent( content );

        inner.append( decomain );
        if ( ippdc_isLogin )
        {
          var option = optionfunc.build( type, options, optionCallback );
          inner.append( option );
        }
        inner.appendTo( item );

        if ( ippdc_isLogin )
        {
          //
          //Set draggable
          item.draggable({
            handle: ".ippdc-deco-action-move",
            span: false,
            cursorAt: {
              top: -10,
              left: -10
            },
            drag: function( event, ui )
            {
              var top    = ui.position.top;
              var left   = ui.position.left;

              item.find( 'input[name="top"]' ).val( top );
              item.find( 'input[name="left"]' ).val( left );
            },
            stop: function( event, ui )
            {
              var top    = ui.position.top;
              var left   = ui.position.left;
              var decoId = item.attr( 'data-id' );

              item.find( 'input[name="top"]' ).val( top );
              item.find( 'input[name="left"]' ).val( left );

              //Save position
              var saveData = {
                'deco_id': decoId,
                'top':     top,
                'left':    left
              };
              var ajaxUrl = ippdc_ajaxurl + '?doajax=1&ippdc=1&action=save_decoration&type=' + type;
              ajaxUrl += '&page_type=' + ippdc_typePage + '&postid=' + ippdc_postId;

              $.ajax({
                url: ajaxUrl,
                type: "POST",
                dataType: "json",
                data: saveData,
                success: function ( response ){}
              });
            }
          });
        }

        //
        //Set options
        this.setStyleOptions( item, options );

        //Positioning item in top center
        positionfunc.isFront = this.isFront;
        if ( options.top != undefined && options.left != undefined ) {
          positionfunc.setPositionManual( options.top, options.left, item );
        }
        else {
          positionfunc.setPositionManual( '50', 'center', item );
        }

        $( 'body' ).append( item );
      },
      //
      //Get decoration content
      getDecorationContent: function( content )
      {
        var main    = $( '<div class="ippdc-deco-main"></div>' );
        var cowrap  = $( '<div class="ippdc-deco-content ippdc-deco-style-opacity"></div>' ).append( content );

        if ( ippdc_isLogin ) {
          var actions = this.getDecorationActions();
          main.append( actions );
        }
        main.append( cowrap );

        return main;
      },
      //
      //Get decoration actions
      getDecorationActions: function()
      {
        var actmove = this.getDecorationActionMove();
        var actedit = this.getDecorationActionEdit();
        var actions = $( '<div class="ippdc-deco-actions"></div>' )
                        .append( actmove )
                        .append( actedit );
        return actions;
      },
      //
      //Get decoration action move
      getDecorationActionMove: function()
      {
        var actmove = $( '<a class="ippdc-deco-action ippdc-deco-action-move" href="#"></a>' );
        actmove.html( '<span><i class="ippdc-fa ippdc-fa-arrows"></i></span>' );
        return actmove;
      },
      //
      //Get decoration action edit
      getDecorationActionEdit: function()
      {
        var actedit = $( '<a class="ippdc-deco-action ippdc-deco-action-edit" href="#"></a>' );
        actedit.html( '<span><i class="ippdc-fa ippdc-fa-pencil"></i></span>' );

        //event click
        actedit.click( function()
        {
          var deco   = $(this).parents( '.ippdc-deco-item' );
          var option = $( '.ippdc-deco-option', deco );
          if ( option.length > 0 )
          {
            var height = $( '.ippdc-deco-content', deco ).height();
            option.css( 'top', height+20+'px' );
            if ( $(this).hasClass( 'active' ))
            {
              option.removeClass( 'open' );
              $(this).removeClass( 'active' );
            }
            else {
              option.show();
              option.addClass( 'open' );
              $(this).addClass( 'active' );
            }
          }
          return false;
        });

        return actedit;
      },

      //
      //Set style options
      setStyleOptions: function( item, options )
      {
        //
        //Width
        if ( options.width != undefined && options.width != 0 && options.width != '0' && options.width != '' )
        {
          item.find( '.ippdc-deco-style-width' ).css( 'width', options.width );
        }
        //
        //Height
        if ( options.height != undefined && options.height != 0 && options.height != '0' && options.height != '' )
        {
          item.find( '.ippdc-deco-style-height' ).css( 'height', options.height );
        }
        //
        //Opacity
        if ( options.opacity != undefined && options.opacity != 0 && options.opacity != '0' && options.opacity != '' )
        {
          item.find( '.ippdc-deco-style-opacity' ).css( 'opacity', options.opacity );
        }
        //
        //Z-Index
        if ( options.zindex != undefined && options.zindex != 0 && options.zindex != '0' && options.zindex != '' )
        {
          item.css( 'z-index', options.zindex );
        }
      }
    };

})(jQuery);

module.exports = ippdc_helper;

},{"./option.js":10,"./position.js":11}],8:[function(require,module,exports){
/*
 *===========================================================
 * Image Function
 *===========================================================*/
var imgOption  = require( './../libs/image-option.js' );
var helper     = require( './helper.js' );
var optionfunc = require( './option.js' );

var ippdc_image;
(function($)
{
    "use strict";

    ippdc_image =
    {
      //
      //init
      init: function()
      {
        var self = this;

        if ( $( '.ippdc-images-list' ).length > 0 ) {
          imgOption( $( '.ippdc-images-list' ), {
            after: function( value, item, input )
            {
              var type = item.data( 'type' );

              //Close modal
              var inst = $('[data-remodal-id="ippcd-modal-image"]').remodal();
              inst.close();

              //Save data
              self.saveDecoration({
                'image_type':  type,
                'image'     : value,
              });
            }
          });
        }
      },

      //
      //Save decoration
      saveDecoration: function( data )
      {
        var self = this;

        helper.saveDecoration( 'image', data, function( response )
        {
          var content = self.getImage( data, response );
          helper.addDecoration( 'image', response, content, function( option ){
            return self.buildOptions( option );
          });
        });
      },

      //
      //Build options
      buildOptions: function( option )
      {
        var fields = $( '<div class="ippdc-image-fields"></div>' );
        fields.append( this.buildOptionStyle( option ) );

        return fields;
      },

      //
      //Build option style
      buildOptionStyle: function( option )
      {
        var field = $( '<div id="ippdc-tab-content-style" class="ippdc-option-tab-content"></div>' );
        field.append( optionfunc.buildFieldOpacity( false ) )
             .append( optionfunc.buildFieldWidth( false ) )
             .append( optionfunc.buildFieldHeight( false ) )
             .hide();

        return field;
      },

      //
      //Get image
      getImage: function( data, response )
      {
        var imgurl  = '';
        if ( data.image_type == 'attachment' ) {
          imgurl  = ippdc_upload_url + data.image;
        } else {
          imgurl  = ippdc_deco_img_url + data.image;
        }
        var imgwrap = $( '<div class="ippdc-deco-image-main"></div>' );
        var image   = $( '<img class="ippdc-deco-style-width ippdc-deco-style-height" alt="" />' );
        image.attr( 'src', imgurl )
             .appendTo( imgwrap );

        return imgwrap;
      }
    };

})(jQuery);

module.exports = ippdc_image;

},{"./../libs/image-option.js":2,"./helper.js":7,"./option.js":10}],9:[function(require,module,exports){
/*
 *===========================================================
 * Note Function
 *===========================================================*/
var error      = require( './error.js' );
var helper     = require( './helper.js' );
var optionfunc = require( './option.js' );

var ippdc_note;
(function($)
{
    "use strict";

    ippdc_note =
    {
      //
      //Init
      init: function()
      {
        var self = this;

        if ( $( '#ippdc-form-note' ).length > 0 )
        {
          $( '#ippdc-form-note button[type=submit]' ).click( function()
          {
            error.resetError();

            var content = $( '#ippdc-input-note-content' ).val();
            var width   = $( '#ippdc-input-note-width' ).val();
            var height  = $( '#ippdc-input-note-height' ).val();

            //check errors
            error.checkError( content, 'note_content', 'string' );
            error.checkError( width, 'note_width', 'number' );
            error.checkError( height, 'note_height', 'number' );

            if ( ! error.isError() )
            {
              //Close note
              var inst  = $('[data-remodal-id="ippcd-modal-note"]').remodal();
              inst.close();

              //Clear form
              $( '#ippdc-form-note' )[0].reset();

              //Save data
              self.saveDecoration({
                'content':   content,
                'width':     width,
                'height':    height,
              });
            }
            else {
              error.showError( $(this) );
            }
            return false;
          });
        }
      },

      //
      //Save decoration
      saveDecoration: function( data )
      {
        var self = this;

        helper.saveDecoration( 'note', data, function( response )
        {
          var content = self.getNote( data, data );
          helper.addDecoration( 'note', response, content, function( option ){
            return self.buildOptions( data, option );
          });
        });
      },

      //
      //Get note
      getNote: function( data, response )
      {
        var wrapclass = 'ippdc-deco-note-main ippdc-deco-style-width ippdc-deco-style-height';
        wrapclass += ' ippdc-deco-style-bgcolor ippdc-deco-style-color ippdc-deco-style-border';

        var notewrap = $( '<div class="' + wrapclass + '"></div>' );
        notewrap.height( response.height );
        notewrap.width( response.width );

        //Set style
        if ( response.bgcolor != undefined && response.bgcolor != '' ) {
          notewrap.css( 'backgroundColor', response.bgcolor );
        }
        if ( response.color != undefined && response.color != '' ) {
          notewrap.css( 'color', response.color );
        }
        if ( response.border_color != undefined && response.border_color != '' ) {
          notewrap.css( 'borderColor', response.border_color );
        }
        if ( response.border_size != undefined && response.border_size != '' ) {
          notewrap.css( 'borderWidth', response.border_size );
        }

        var noteContent = $( '<div class="ippdc-deco-note-content"></div>' ).text( data.content );
        noteContent.appendTo( notewrap );

        return notewrap;
      },

      //
      //Build options
      buildOptions: function( data, option )
      {
        var fields = $( '<div class="ippdc-note-fields"></div>' );
        fields.append( this.buildOptionStyle( data, option ) );
        fields.append( this.buildOptionContent( data, option ) );

        return fields;
      },

      //
      //Build option style
      buildOptionStyle: function( data, option )
      {
        var field = $( '<div id="ippdc-tab-content-style" class="ippdc-option-tab-content"></div>' );
        field.append( optionfunc.buildFieldOpacity( false ) )
             .append( optionfunc.buildFieldWidth( data.width ) )
             .append( optionfunc.buildFieldHeight( data.height ) )
             .append( optionfunc.buildFieldBgColor( false ) )
             .append( optionfunc.buildFieldColor( false ) )
             .append( optionfunc.buildFieldBorder( false ) )
             .hide();

        return field;
      },
      //
      //Build option content
      buildOptionContent: function( data, option )
      {
        var field = $( '<div id="ippdc-tab-content-content" class="ippdc-option-tab-content"></div>' );
        field.append( optionfunc.buildFieldTextarea( 'Content', 'content', data.content, function(input)
          {
            var covalue = input.val();
            var deco    = input.parents( '.ippdc-deco-item' );
            $( '.ippdc-deco-note-content', deco ).text( covalue );
          })
        ).hide();

        return field;
      }
    };

})(jQuery);

module.exports = ippdc_note;

},{"./error.js":5,"./helper.js":7,"./option.js":10}],10:[function(require,module,exports){
/*
 *===========================================================
 * Option builder Function
 *===========================================================*/
var positionfunc = require( './position.js' );

var ippdc_option;
(function($)
{
    "use strict";

    ippdc_option =
    {
      root: null,
      type: '',
      options: null,

      //
      //Build option
      build: function( type, options, optionCallback )
      {
        this.type    = type;
        this.options = options;

        var wrapper = $( '<div class="ippdc-deco-option" style="display:none;"></div>' );
        var inner   = $( '<div class="ippdc-option-inner"></div>' );
        var form    = $( '<form action="#" method="post"></form>' );

        //Add header
        var header = this.buildHeader();
        form.append( header );

        //Add main content
        var main = this.buildMain( optionCallback );
        form.append( main );

        //Add footer content
        var footer = this.buildFooter();
        form.append( footer );

        //Active first tab
        var firstTab = form.find( '.ippdc-tab-menu:first-child a' );

        if ( firstTab.length > 0 )
        {
          firstTab.addClass( 'active' );
          var href   = firstTab.attr( 'href' );
          var target = form.find( href );
          if ( target.length > 0 ) {
            target.show();
          }
        }

        form.appendTo( inner );
        inner.appendTo( wrapper );
        this.root = wrapper;

        return this.root;
      },

      //
      //Build header
      buildHeader: function()
      {
        var header = $( '<div class="ippdc-option-header"></div>' );
        var inner  = $( '<div class="ippdc-header-inner ippdc-clear"></div>' );

        var titleText = this.getTitleText();
        var title = $( '<div class="ippdc-option-title"></div>' );
        title.text( titleText );
        inner.append( title );

        var tab = this.buildTab();
        inner.append( tab );

        var close = this.buildOptionClose();
        inner.append( close );

        inner.appendTo( header );
        return header;
      },

      //
      //Get title text
      getTitleText: function()
      {
        var title = 'Edit Decoration';
        if ( this.type == 'image' ) {
          title = 'Edit Image';
        }
        else if ( this.type == 'effect' ) {
          title = 'Edit Snow Effect';
        }
        else if ( this.type == 'video' ) {
          title = 'Edit Video';
        }
        else if ( this.type == 'note' ) {
          title = 'Edit Note';
        }
        else if ( this.type == 'box' ) {
          title = 'Edit Box';
        }
        return title;
      },

      //
      //Build tab
      buildTab: function()
      {
        var tab   = $( '<div class="ippdc-option-tab ippdc-clear"></div>' );
        var menus = $( '<ul></ul>' );

        if ( this.type == 'note' || this.type == 'box' ) {
          menus.append( this.buildTabMenu( 'content', 'Content' ) );
        }
        if ( this.type == 'video' ) {
          menus.append( this.buildTabMenu( 'video', 'Video' ) );
        }
        menus.append( this.buildTabMenu( 'style', 'Style' ) );

        if ( this.type != 'effect' ) {
          menus.append( this.buildTabMenu( 'position', 'Position' ) );
        }
        menus.append( this.buildTabMenu( 'duration', 'Duration' ) );

        menus.appendTo( tab );
        return tab;
      },

      //
      //Build tab menu
      buildTabMenu: function( name, label )
      {
        var menuWrap = $( '<li class="ippdc-tab-menu"></li>' );
        var menu     = $( '<a href="#ippdc-tab-content-' + name + '"></a>').text( label );
        menu.click( function()
        {
          var option = $(this).parents( '.ippdc-deco-option' );
          var target = $(this).attr( 'href' );
          if ( $( target, option ).length > 0 )
          {
            $( '.ippdc-option-tab a', option ).removeClass( 'active' );
            $( '.ippdc-option-tab-content', option ).hide();
            $(this).addClass( 'active' );
            $( target, option ).show();
          }

          return false;
        });

        menu.appendTo( menuWrap );
        return menuWrap;
      },

      //
      //Build close link for option
      buildOptionClose: function()
      {
        var close  = $( '<div class="ippdc-option-close"></div>' );
        var link   = $( '<a href="#"><i class="ippdc-fa ippdc-fa-times"></i></a>' );
        link.click( function()
        {
          var option = $(this).parents( '.ippdc-deco-option' );
          var deco   = $(this).parents( '.ippdc-deco-item' );
          option.removeClass( 'open' );
          $( '.ippdc-deco-action-edit', deco ).removeClass( 'active' );

          return false;
        });

        link.appendTo( close );
        return close;
      },

      //
      //Build main
      buildMain: function( optionCallback )
      {
        var main     = $( '<div class="ippdc-option-main"></div>' );
        var duration = this.buildTabDuration();
        var others   = optionCallback( this );

        if ( this.type != 'effect' ) {
          var position = this.buildTabPosition();
          main.append( position );
        }
        main.append( duration );
        main.append( others );
        return main;
      },

      //
      //Build tab position
      buildTabPosition: function()
      {
        var tab = $( '<div id="ippdc-tab-content-position" class="ippdc-option-tab-content"></div>' );
        tab.append( this.buildFieldTop( false ) )
           .append( this.buildFieldLeft( false ) )
           .append( this.buildFieldPositionHelper( false ) )
           .append( this.buildFieldZIndex( false ) )
           .hide();


        return tab;
      },

      //
      //Build tab duration
      buildTabDuration: function()
      {
        var tab = $( '<div id="ippdc-tab-content-duration" class="ippdc-option-tab-content"></div>' );
        tab.append( this.buildFieldDateStart( false ) )
           .append( this.buildFieldDateEnd( false ) )
           .hide();

        return tab;
      },

      //
      //Build field opacity
      buildFieldOpacity: function( value )
      {
        if ( this.options.opacity != undefined ) {
          value = this.options.opacity;
        }
        var field = this.buildFieldInputSm( 'Opacity', 'opacity', value, function( el )
        {
          var opacity = el.val();
          var deco    = el.parents( '.ippdc-deco-item' );

          if ( $( '.ippdc-deco-style-opacity', deco ).length > 0 ) {
            $( '.ippdc-deco-style-opacity', deco ).css( 'opacity', opacity );
          }
        });
        return field;
      },

      //
      //Build field height
      buildFieldHeight: function( value )
      {
        if ( this.options.height != undefined ) {
          value = this.options.height;
        }
        var field = this.buildFieldSize( 'Height', 'height', value, function( el )
        {
          var height = el.val();
          var deco   = el.parents( '.ippdc-deco-item' );

          if ( $( '.ippdc-deco-style-height', deco ).length > 0 ) {
            $( '.ippdc-deco-style-height', deco ).css( 'height', height );
          }
        });
        return field;
      },

      //
      //Build field width
      buildFieldWidth: function( value )
      {
        if ( this.options.width != undefined ) {
          value = this.options.width;
        }
        var field = this.buildFieldSize( 'Width', 'width', value, function( el )
        {
          var width = el.val();
          var deco  = el.parents( '.ippdc-deco-item' );

          if ( $( '.ippdc-deco-style-width', deco ).length > 0 ) {
            $( '.ippdc-deco-style-width', deco ).css( 'width', width );
          }
        });
        return field;
      },

      //
      //Build field top
      buildFieldTop: function( value )
      {
        if ( this.options.top != undefined ) {
          value = this.options.top;
        }
        var field = this.buildFieldSize( 'Top', 'top', value, function( el )
        {
          var top  = el.val();
          var deco = el.parents( '.ippdc-deco-item' );
          deco.css( 'top', top+'px' );
        });
        return field;
      },

      //
      //Build field left
      buildFieldLeft: function( value )
      {
        if ( this.options.left != undefined ) {
          value = this.options.left;
        }
        var field = this.buildFieldSize( 'Left', 'left', value, function( el )
        {
          var left = el.val();
          var deco = el.parents( '.ippdc-deco-item' );
          deco.css( 'left', left+'px' );
        });
        return field;
      },

      //
      //Build field z-index
      buildFieldZIndex: function( value )
      {
        if ( this.options.zindex != undefined ) {
          value = this.options.zindex;
        }
        var field = this.buildFieldInputSm( 'Z-Index', 'zindex', value, function( el )
        {
          var index = el.val();
          var deco = el.parents( '.ippdc-deco-item' );
          deco.css( 'z-index', index );
        });
        return field;
      },

      //
      //Build field color
      buildFieldColor: function( value )
      {
        if ( this.options.color != undefined ) {
          value = this.options.color;
        }
        var field = this.buildFieldInputColor( 'Color', 'color', value, function( input, hex )
        {
          var deco = input.parents( '.ippdc-deco-item' );
          if ( $( '.ippdc-deco-style-color', deco ).length > 0 ) {
            $( '.ippdc-deco-style-color', deco ).css( 'color', '#' + hex );
          }
        });
        return field;
      },

      //
      //Build field bakground color
      buildFieldBgColor: function( value )
      {
        if ( this.options.bgcolor != undefined ) {
          value = this.options.bgcolor;
        }
        var field = this.buildFieldInputColor( 'Background Color', 'bgcolor', value, function( input, hex )
        {
          var deco = input.parents( '.ippdc-deco-item' );
          if ( $( '.ippdc-deco-style-bgcolor', deco ).length > 0 ) {
            $( '.ippdc-deco-style-bgcolor', deco ).css( 'background-color', '#' + hex );
          }
        });
        return field;
      },

      //
      //Build field border
      buildFieldBorder: function( border_size, border_color )
      {
        if ( this.options.border_color != undefined ) {
          border_color = this.options.border_color;
        }
        if ( this.options.border_size != undefined ) {
          border_size = this.options.border_size;
        }
        var inputBorder = $( '<div class="ippdc-option-input-border"></div>' );

        //
        //Input size
        var inputSize   = $( '<input type="text" class="ippdc-option-control ippdc-option-control-xs">' );
        if ( border_size ) {
          inputSize.attr( 'value', border_size );
        }
        inputSize.attr( 'name', 'border_size' )
                 .change(function(el)
                 {
                   var bosize = $(this).val();
                   var deco   = $(this).parents( '.ippdc-deco-item' );

                   if ( $( '.ippdc-deco-style-border', deco ).length > 0 ) {
                     $( '.ippdc-deco-style-border', deco ).css( 'borderWidth', bosize+'px' );
                   }
                 });

        //
        //Input color
        var inputColor    = $( '<div id="colorSelector"><div></div></div>' );
        var inputColorVal = $( '<input type="hidden" class="ippdc-color-picker">' );

        if ( border_color ) {
          inputColorVal.attr( 'value', border_color );
          inputColor.css('backgroundColor', border_color);
        }
        inputColorVal.attr( 'name', 'border_color' );
        inputColor.ColorPicker({
          onSubmit: function(hsb, hex, rgb, el)
          {
            var selector = $(el);
            $( 'input', selector ).val('#'+hex);
		        $(el).ColorPickerHide();
            $('div', selector).css('backgroundColor', '#' + hex);

            var deco = selector.parents( '.ippdc-deco-item' );
            if ( $( '.ippdc-deco-style-border', deco ).length > 0 ) {
              $( '.ippdc-deco-style-border', deco ).css( 'borderColor', '#' + hex );
            }
          }
        }).bind('keyup', function(){
        	$(this).ColorPickerSetColor(this.value);
        });

        var inputSizeGroup = $( '<div class="ippdc-option-input-group"></div>' );
        inputSizeGroup.append( inputSize )
                      .append( '<span class="ippdc-option-input-addon">px</span>' );

        inputBorder.append( inputSizeGroup );
        inputColor.append( inputColorVal );
        inputBorder.append( inputColor );

        var field = this.buildField( 'Border', inputBorder );
        return field;
      },

      //
      //Build field position helper
      buildFieldPositionHelper: function( value )
      {
        if ( this.options.poshelper != undefined ) {
          value = this.options.poshelper;
        }
        var data  = [
          {
            'label': 'Top Left of Page',
            'value': 'topleft'
          },
          {
            'label': 'Top Center of Page',
            'value': 'topcenter'
          },
          {
            'label': 'Top Right of Page',
            'value': 'topright'
          },
          {
            'label': 'Middle Left of Page',
            'value': 'middleleft'
          },
          {
            'label': 'Middle Center of Page',
            'value': 'middlecenter'
          },
          {
            'label': 'Middle Right of Page',
            'value': 'middleright'
          },
          {
            'label': 'Bottom Left of Page',
            'value': 'bottomleft'
          },
          {
            'label': 'Bottom Center of Page',
            'value': 'bottomcenter'
          },
          {
            'label': 'Bottom Right of Page',
            'value': 'bottomright'
          }
        ];
        var field = this.buildFieldSelect( 'Helper', 'pos_helper', data, value, function( el )
        {
          var type = el.val();
          var deco = el.parents( '.ippdc-deco-item' );
          positionfunc.setPosition( type, deco );
        });
        return field;
      },

      //
      //Build field date start
      buildFieldDateStart: function( value )
      {
        if ( this.options.start != undefined ) {
          value = this.options.start;
        }
        var field = this.buildFieldInputDate( 'Date Start', 'date_start', value,
        {
          format: 'd-m-Y h:i:s'
        });
        return field;
      },

      //
      //Build field date end
      buildFieldDateEnd: function( value )
      {
        if ( this.options.end != undefined ) {
          value = this.options.end;
        }
        var field = this.buildFieldInputDate( 'Date End', 'date_end', value,
        {
          format: 'd-m-Y h:i:s'
        });
        return field;
      },

      //
      //Build field
      buildFieldSize: function( label, name, value, changeCallback )
      {
        var inputGroup = $( '<div class="ippdc-option-input-group"></div>' );
        var inputCtrl  = $( '<input type="text" class="ippdc-option-control ippdc-option-control-sm">' );

        if ( value ) {
          inputCtrl.attr( 'value', value );
        }
        inputCtrl.attr( 'name', name )
                 .change(function()
                 {
                    changeCallback( $(this) );
                 });

        inputGroup.append( inputCtrl )
                  .append( '<span class="ippdc-option-input-addon">px</span>' );

        var field = this.buildField( label, inputGroup );
        return field;
      },

      //
      //Build field input
      buildFieldInput: function( label, name, value, changeCallback )
      {
        var input = $( '<input type="text" class="ippdc-option-control">' );

        if ( value ) {
          input.attr( 'value', value );
        }
        input.attr( 'name', name )
             .change(function()
             {
                changeCallback( $(this) );
             });

        var field = this.buildField( label, input );
        return field;
      },

      //
      //Build field input sm
      buildFieldInputSm: function( label, name, value, changeCallback )
      {
        var input = $( '<input type="text" class="ippdc-option-control ippdc-option-control-sm">' );

        if ( value ) {
          input.attr( 'value', value );
        }
        input.attr( 'name', name )
             .change(function()
             {
                changeCallback( $(this) );
             });

        var field = this.buildField( label, input );
        return field;
      },

      //
      //Build field textarea
      buildFieldTextarea: function( label, name, value, changeCallback )
      {
        var input = $( '<textarea class="ippdc-option-control"></textarea>' );

        if ( value ) {
          input.val( value );
        }
        input.attr( 'name', name )
             .change(function()
             {
                changeCallback( $(this) );
             });

        var field = this.buildField( label, input );
        return field;
      },

      //
      //Build field select
      buildFieldSelect: function( label, name, data, value, changeCallback )
      {
        var select = $( '<select class="ippdc-option-control"></select>' );
        select.attr( 'name', name )
              .change(function()
              {
                changeCallback( $(this) );
              });

        if ( data )
        {
          for( var i = 0; i < data.length; i++ )
          {
            select.append(
              $( '<option></option>')
                .attr( 'value', data[i].value )
                .text( data[i].label )
            );
          }
        }
        if ( value ) {
          select.val( value );
        }
        var field = this.buildField( label, select );
        return field;
      },

      //
      //Build field input date
      buildFieldInputDate: function( label, name, value, dtoptions )
      {
        var input = $( '<input type="text" class="ippdc-option-control ippdc-option-control-sm ippdc-option-datetime">' );

        if ( value ) {
          input.attr( 'value', value );
        }
        input.attr( 'name', name );
        input.datetimepicker( dtoptions );

        var field = this.buildField( label, input );
        return field;
      },

      //
      //Build field input color
      buildFieldInputColor: function( label, name, value, changeCallback )
      {
        var input    = $( '<div id="colorSelector"><div></div></div>' );
        var inputVal = $( '<input type="hidden" class="ippdc-color-picker">' );

        if ( value ) {
          inputVal.attr( 'value', value );
          input.css('backgroundColor', value);
        }
        inputVal.attr( 'name', name );
        input.ColorPicker({
          onSubmit: function(hsb, hex, rgb, el)
          {
            var selector = $(el);
            $( 'input', selector ).val('#'+hex);
		        $(el).ColorPickerHide();
            $('div', selector).css('backgroundColor', '#' + hex);
            //callback
            changeCallback( selector, hex );
          }
        }).bind('keyup', function(){
        	$(this).ColorPickerSetColor(this.value);
        });

        input.append( inputVal );

        var field = this.buildField( label, input );
        return field;
      },

      //
      //Build field
      buildField: function( label, input )
      {
        var field = $( '<div class="ippdc-option-field ippdc-clear"></div>' );
        field.append( $( '<label></label>').text( label ) );
        field.append(
          $( '<div class="ippdc-option-input"></div>' ).append( input )
        );

        return field;
      },

      //
      //Build footer
      buildFooter: function()
      {
        var footer = $( '<div class="ippdc-option-footer"></div>' );
        var inner  = $( '<div class="ippdc-footer-inner ippdc-clear"></div>' );

        var btnSave   = this.buildButtonSave();
        var btnDelete = this.buildButtonDelete();
        inner.append( btnSave );
        inner.append( btnDelete );

        inner.appendTo( footer );
        return footer;
      },

      //
      //Build button save
      buildButtonSave: function()
      {
        var self        = this;
        var btnSaveWrap = $( '<div class="ippdc-save"></div>' );
        var btnSave     = $( '<a href="#" class="ippdc-save-link">Save Change</a>' );
        btnSave.click( function()
        {
          //
          //Show loader
          var loader = $('[data-remodal-id="ippcd-modal-loader"]').remodal();
          loader.open();

          var deco = $(this).parents( '.ippdc-deco-action-trigger' );
          var type = deco.data( 'type' );
          var id   = deco.attr( 'data-id' );

          var ajaxUrl  = ippdc_ajaxurl + '?doajax=1&ippdc=1&action=save_decoration&type=' + type;
          ajaxUrl += '&page_type=' + ippdc_typePage + '&postid=' + ippdc_postId;

          var formdata  = $( '.ippdc-deco-option form', deco ).serialize();
          var winHeight = $(window).height();
          var winWidth  = $(window).width();
          formdata += '&deco_id=' + id;
          formdata += '&window_height=' + winHeight;
          formdata += '&window_width=' + winWidth;

          $.ajax({
            url: ajaxUrl,
            type: "POST",
            dataType: "json",
            data: formdata,
            success: function ( response )
            {
              //
              //Hide loader
              loader.close();
              if ( response.status == 1 )
              {
                //Show message
                var modal = $('[data-remodal-id="ippcd-modal-success-edit"]').remodal();
                modal.open();
              }
              else {
                //Show message
                var modal = $('[data-remodal-id="ippcd-modal-error-edit"]').remodal();
                modal.open();
              }
            }
          });
          return false;
        });

        btnSave.appendTo( btnSaveWrap );
        return btnSaveWrap;
      },

      //
      //Build button delete
      buildButtonDelete: function()
      {
        var self = this;
        var btnDeleteWrap = $( '<div class="ippdc-delete"></div>' );
        var btnDelete     = $( '<a href="#" class="ippdc-delete-link">Delete</a>' );
        btnDelete.click( function()
        {
          //
          //Show loader
          var loader = $('[data-remodal-id="ippcd-modal-loader"]').remodal();
          loader.open();

          var deco    = $(this).parents( '.ippdc-deco-action-trigger' );
          var id      = deco.attr( 'data-id' );
          var ajaxUrl = ippdc_ajaxurl + '?doajax=1&ippdc=1&action=delete_decoration';
          var data    = 'id='+id;

          $.ajax({
            url: ajaxUrl,
            type: "POST",
            dataType: "json",
            data: data,
            success: function ( response )
            {
              //
              //Hide loader
              loader.close();
              
              if ( response.status == 1 || response.status == '1' )
              {
                //Show message
                var modal = $('[data-remodal-id="ippcd-modal-success-delete"]').remodal();
                modal.open();
                //remove deco item
                deco.remove();
                $( '.ippdc-front-deco[data-id="'+id+'"]' ).remove();

                //Snow effect reset
                if ( self.type == 'effect' )
                {
                  $('body').snowfall('clear');
                  self.rebuildEffect();

                  if ( $( '.ippdc-front-deco[data-type="'+type+'"]' ).length < 1 ) {
                    $( '.ippdc-front-effect-edit' ).hide();
                  }
                }
              }
              else {
                //Show message
                var modal = $('[data-remodal-id="ippcd-modal-error-delete"]').remodal();
                modal.open();
              }
            }
          });
          return false;
        });

        btnDelete.appendTo( btnDeleteWrap );
        return btnDeleteWrap;
      },

      //
      //Rebuild effect
      rebuildEffect: function()
      {
        var self = this;
        $( '.ippdc-front-deco[data-type="effect"]' ).each( function()
        {
          var item = $(this);
          var datasett = $( '.ippdc-front-deco-settings', item );
          var buildOpts = {};

          //Effect Color
          var dataColor = datasett.data( 'color' );
          if ( dataColor != undefined && dataColor != '' ) {
            buildOpts.effect_color = dataColor;
          }

          //Effect Type
          var dataType = datasett.data( 'type' );
          if ( dataType != undefined && dataType != '' ) {
            buildOpts.effect_type = dataType;
          }

          self.getEffect( buildOpts );
        });
      },

      //
      //Get effect
      getEffect: function( data )
      {
        var snowColor   = this.getEffectColor( data.effect_color );
        var snowOptions = {};
        if ( data.effect_type == 'snow' )
        {
          snowOptions = {
            flakeCount : 30,
            flakeColor: snowColor,
            round : true,
            minSize: 6,
            maxSize: 10
          }
        }
        else if ( data.effect_type == 'snowflake' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'snowflake_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'star' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'star_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'leaf' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'leaf_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'hexagon' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'hexagonal_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'droplet' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'droplet_' + data.effect_color + '.svg',
            minSize: 5,
            maxSize: 30
          }
        }
        else if ( data.effect_type == 'sun' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'sun_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        else if ( data.effect_type == 'cloud' )
        {
          snowOptions = {
            flakeCount : 30,
            image: ippdc_effect_img_url + 'cloud_' + data.effect_color + '.svg',
            minSize: 10,
            maxSize: 32
          }
        }
        $('body').addClass( 'ippdc-snow-on' );
        $('body').snowfall( snowOptions );
      },

      //
      //Get effect color
      getEffectColor: function( color )
      {
        var hex = '#ffffff';
        if ( color == 'black' ) {
          hex = '#000000';
        }
        else if ( color == 'blue' ) {
          hex = '#2f74e7';
        }
        else if ( color == 'light_blue' ) {
          hex = '#20d0d6';
        }
        else if ( color == 'red' ) {
          hex = '#e43333';
        }
        else if ( color == 'green' ) {
          hex = '#72c462';
        }
        else if ( color == 'orange' ) {
          hex = '#e59547';
        }
        else if ( color == 'yellow' ) {
          hex = '#ffcd50';
        }
        return hex;
      }

    };

})(jQuery);

module.exports = ippdc_option;

},{"./position.js":11}],11:[function(require,module,exports){
/*
 *===========================================================
 * Positioning Function
 *===========================================================*/

var ippdc_position;
(function($)
{
    "use strict";

    ippdc_position =
    {
      isFront: false,
      //
      // Set position
      setPosition: function( type, deco )
      {
        if ( type == 'topleft' ){
          this.setPositionManual( 'top', 'left', deco );
        }
        else if ( type == 'topcenter' ){
          this.setPositionManual( 'top', 'center', deco );
        }
        else if ( type == 'topright' ){
          this.setPositionManual( 'top', 'right', deco );
        }
        else if ( type == 'middleleft' ){
          this.setPositionManual( 'middle', 'left', deco );
        }
        else if ( type == 'middlecenter' ){
          this.setPositionManual( 'middle', 'center', deco );
        }
        else if ( type == 'middleright' ){
          this.setPositionManual( 'middle', 'right', deco );
        }
        else if ( type == 'bottomleft' ){
          this.setPositionManual( 'bottom', 'left', deco );
        }
        else if ( type == 'bottomcenter' ){
          this.setPositionManual( 'bottom', 'center', deco );
        }
        else if ( type == 'bottomright' ){
          this.setPositionManual( 'bottom', 'right', deco );
        }
      },

      //
      // Set position manual
      setPositionManual: function( y, x, deco )
      {
        var decoHeight = deco.outerHeight();
        var decoWidth  = deco.outerWidth();
        var pageHeight = $( 'body' ).height();
        var winWidth   = $(window).width();

        if ( y == 'top' ) {
          y = 20;
        }
        else if ( y == 'bottom' ) {
          y = pageHeight - decoHeight - 20;
        }
        else if ( y == 'middle' ) {
          y = (pageHeight - decoHeight)/2;
        }

        if ( x == 'left' ) {
          x = 20;
        }
        else if ( x == 'right' ) {
          x = winWidth - decoWidth - 20;
        }
        else if ( x == 'center' ) {
          x = (winWidth - decoWidth)/2;
        }

        deco.css( 'top', y + 'px' );
        deco.css( 'left', x + 'px' );

        deco.find( 'input[name="top"]' ).val( y );
        deco.find( 'input[name="left"]' ).val( x );

        if ( ! this.isFront ) {
          this.moveScroll( y );
        }
      },

      //
      // Move scroll
      moveScroll: function( top )
      {
        $('html, body').animate({
          scrollTop: top
        }, 800);
      }
    };

})(jQuery);

module.exports = ippdc_position;

},{}],12:[function(require,module,exports){
/*
 *===========================================================
 * Video Function
 *===========================================================*/
var error      = require( './error.js' );
var helper     = require( './helper.js' );
var optionfunc = require( './option.js' );

var ippdc_video;
(function($)
{
    "use strict";

    ippdc_video =
    {
      //
      //Init
      init: function()
      {
        var self = this;

        if ( $( '#ippdc-form-video' ).length > 0 )
        {
          $( '#ippdc-form-video button[type=submit]' ).click( function()
          {
            error.resetError();

            var id     = $( '#ippdc-input-video-id' ).val();
            var auto   = $( '#ippdc-input-video-autoplay' ).val();
            var width  = $( '#ippdc-input-video-width' ).val();
            var height = $( '#ippdc-input-video-height' ).val();

            //check errors
            error.checkError( id, 'video_id', 'string' );
            error.checkError( auto, 'video_autoplay', 'string' );
            error.checkError( width, 'video_width', 'string' );
            error.checkError( height, 'video_height', 'string' );

            if ( ! error.isError() )
            {
              //Close modal
              var inst  = $('[data-remodal-id="ippcd-modal-video"]').remodal();
              inst.close();

              //Clear form
              $( '#ippdc-form-video' )[0].reset();

              //Save data
              self.saveDecoration({
                'video_id': id,
                'autoplay': auto,
                'width':    width,
                'height':   height,
              });
            }
            else {
              error.showError( $(this) );
            }
            return false;
          });
        }
      },

      //
      //Save decoration
      saveDecoration: function( data )
      {
        var self = this;
        helper.saveDecoration( 'video', data, function( response )
        {
          var content = self.getVideo( data, data );
          helper.addDecoration( 'video', response, content, function( option ){
            return self.buildOptions( data, response );
          });
        });
      },

      //
      //Get video
      getVideo: function( data, response )
      {
        var wrapclass = 'ippdc-deco-box-video ippdc-deco-style-width ippdc-deco-style-height';

        var boxwrap = $( '<div class="' + wrapclass + '"></div>' );
        boxwrap.height( response.height );
        boxwrap.width( response.width );

        var videoIframe = this.getVideoIframe( data.video_id, data.autoplay, response );
        videoIframe.appendTo( boxwrap );

        return boxwrap;
      },

      //
      //Get video iframe
      getVideoIframe: function( id, autoplay, options )
      {
        var videoUrl    = "https://www.youtube.com/embed/" + id + "?autoplay=" + autoplay + "&autohide=1";
        var videoIframe = $( '<iframe class="ippdc-deco-style-width ippdc-deco-style-height"></iframe>');
        videoIframe.attr( 'src', videoUrl )
                   .attr( 'frameborder', '0' );

        videoIframe.width( options.width );
        videoIframe.height( options.height );

        return videoIframe;
      },

      //
      //Build options
      buildOptions: function( data, options )
      {
        var fields = $( '<div class="ippdc-video-fields"></div>' );
        fields.append( this.buildOptionStyle( data, options ) );
        fields.append( this.buildOptionVideo( data, options ) );

        return fields;
      },

      //
      //Build option style
      buildOptionStyle: function( data, options )
      {
        var field = $( '<div id="ippdc-tab-content-style" class="ippdc-option-tab-content"></div>' );
        field.append( optionfunc.buildFieldOpacity( false ) )
             .append( optionfunc.buildFieldWidth( data.width ) )
             .append( optionfunc.buildFieldHeight( data.height ) )
             .hide();

        return field;
      },

      //
      //Build option video
      buildOptionVideo: function( data, options )
      {
        var self  = this;
        var field = $( '<div id="ippdc-tab-content-video" class="ippdc-option-tab-content"></div>' );

        //
        // Video ID
        field.append( optionfunc.buildFieldInput( 'Video ID', 'video_id', data.video_id, function(input)
          {
            var id   = input.val();
            var deco = input.parents( '.ippdc-deco-item' );
            if ( $( '.ippdc-deco-box-video', deco ).length > 0 )
            {
              var autoplay = $( 'input[name="autoplay"]', deco ).val();
              var width    = $( '.ippdc-deco-box-video', deco ).width();
              var height   = $( '.ippdc-deco-box-video', deco ).height();
              var iframe   = self.getVideoIframe( id, autoplay, {
                'width': width,
                'height': height
              });
              $( '.ippdc-deco-box-video', deco ).html( iframe );
            }
          })
        );

        var options = [
          {
            'label': 'Yes',
            'value': '1'
          },
          {
            'label': 'No',
            'value': '0'
          }
        ];
        //
        // Video Autoplay
        var auto = false;
        if ( options.autoplay != undefined ) {
          auto = options.autoplay;
        }
        var fieldAutoplay = optionfunc.buildFieldSelect( 'Autoplay', 'autoplay', options, auto, function( el )
        {
          var autoplay = input.val();
          var deco     = input.parents( '.ippdc-deco-item' );
          if ( $( '.ippdc-deco-box-video', deco ).length > 0 )
          {
            var id     = $( 'input[name="video_id"]', deco ).val();
            var width  = $( '.ippdc-deco-box-video', deco ).width();
            var height = $( '.ippdc-deco-box-video', deco ).height();
            var iframe = self.getVideoIframe( id, autoplay, {
              'width': width,
              'height': height
            });
            $( '.ippdc-deco-box-video', deco ).html( iframe );
          }
        });
        field.append( fieldAutoplay );

        return field;
      },
    };

})(jQuery);

module.exports = ippdc_video;

},{"./error.js":5,"./helper.js":7,"./option.js":10}]},{},[1]);
