<?php
/**
 * Modal ready message
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<div class="remodal ippdc-remodal ippdc-remodal-loader" data-remodal-id="ippcd-modal-ready" data-remodal-options="hashTracking: false, closeOnOutsideClick: false, closeOnEscape: false, closeOnCancel: false, closeOnConfirm: false">

  <div class="ippdc-remodal-header">
    <h2 class="ippdc-remodal-title">
      <i class="ippdc-fa ippdc-fa-check-circle"></i>
      <span><?php _e( 'You have to add snow effect', IPPDC_SLUG ); ?></span>
    </h2>
  </div>

  <div class="ippdc-remodal-main">
    <p><?php _e( 'You have to add snow effect to your page. You can not add snow effect more than one, if you want to replace it?', IPPDC_SLUG ); ?></p>

    <button class="ippdc-remodal-btn mt30 ippdc-effect-ready-yes">
      <?php _e( 'Yes', IPPDC_SLUG ); ?>
    </button>

    <button data-remodal-action="close" class="ippdc-remodal-btn ippdc-remodal-btn-close mt30">
      <?php _e( 'No', IPPDC_SLUG ); ?>
    </button>
  </div>

</div>
