<?php
/**
 * Controller to handling deleting decoration process
 *
 * @package wp-instant-decor-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPPdc_Ajax_Delete_decoration' ))
{
	class IPPdc_Ajax_Delete_decoration
	{
		/**
		 * Execution save options process
		 *
		 * @return void
		 */
		public function exec()
		{
      $item = false;
      if ( ! empty( $_REQUEST['id'] )) {
        $id   = absint( $_REQUEST['id'] );
        $item = get_post( $id );
      }
      if ( ! $item ) {
        echo json_encode( array(
          'status'   => 0,
          'message'  => __( 'Error system', IPJCK_SLUG )
        ) );
        die();
      }
      $result = wp_delete_post( $item->ID, true );
      if ( $result ) {
        echo json_encode( array(
          'status'   => 1
        ) );
      } else {
        echo json_encode( array(
          'status'  => 0
        ) );
      }
      die();
		}
	}
}
