<?php
/**
 * Main front viewer
 *
 * @package wp-page-decorator
 * @author InstaProduct
 * @link http://insta-product.com/
 */

global $user_ID;
?>
<div class="ippdc-front">
  <?php
  $dsp = ' style="display:none;"';
  if ( ! empty( $this->decorations )) {
    foreach( $this->decorations as $deco )
    {
      $this->decoration = $deco;
      $this->view( 'front/item' );
    }
    $dsp = '';
  }
  ?>

  <?php
  //
  // Effect options
  if ( ! empty( $user_ID )) :
  ?>
  <div class="ippdc-front-effect-edit"<?php echo $dsp; ?>>
    <div class="ippdc-effect-edit-trigger">
      <a href="#">
        <i class="ippdc-fa ippdc-fa-bars"></i>
        <span><?php _e( 'Manage Snow Effect', IPPDC_SLUG ); ?></span>
      </a>
    </div>
    <div class="ippdc-effect-edit-list" style="display:none;">
      <ul class="ippdc-effect-edit-items">
      </ul>
    </div>
  </div>
  <?php
  endif;
  ?>

</div>
